module.exports = {
    title: 'BDTP-数据服务',
    description: 'Just playing around',
    plugins: ['@vuepress/back-to-top'],
    themeConfig: {
        nav: [
            { text: '主页', link: '/' },
            { text: '通用说明文档', link: '/utils/' },
            { text: '物理世界-对象', link: '/rwd/' },
            { text: '知识库', link: '/dic/' },
            { text: '版本管理', link: '/version/' },
            { text: '文件服务', link: '/file/' }
        ],
        sidebarDepth: 2,
        displayAllHeaders: true,
        sidebar: {
            '/utils': [
                {
                    title: '通用说明文档',
                    collapsable: false,
                    children: [{ title: '通用说明文档', path: '/utils/common' }]
                }
            ],
            '/dic': [
                {
                    title: '知识库接口文档',
                    collapsable: false,
                    children: [{ title: '接口文档', path: '/dic/dic_api' }]
                },
                {
                    title: '知识库数据结构说明',
                    collapsable: false,
                    children: [{ title: '数据结构说明', path: '/dic/data_structure_description' }]
                }
            ],
            '/rwd': [
                {
                    title: '接口文档',
                    collapsable: true,
                    children: [{ title: '接口文档', path: '/rwd/api', collapsable: true }]
                },
                {
                    title: '数据结构说明',
                    collapsable: false,
                    children: [{ title: '数据结构说明', path: '/rwd/data_structure' }]
                }
            ],
            '/version': [
                {
                    title: '编辑工具接口文档',
                    collapsable: false,
                    children: [{ title: '版本管理', path: '/version/version_api' },
                        { title: '需求管理', path: '/version/demand_api' }]
                },
                {
                    title: '编辑工具数据结构说明',
                    collapsable: false,
                    children: [{ title: '版本管理', path: '/version/data_structure_description' },
                        { title: '需求管理', path: '/version/demand_structure' }]
                }
            ],
            '/file': [
                {
                    title: '文件服务接口文档',
                    collapsable: false,
                    children: [{ title: '接口文档', path: '/file/file_api' }]
                },
                {
                    title: '文件服务数据结构说明',
                    collapsable: false,
                    children: [{ title: '数据结构说明', path: '/file/data_structure_description' }]
                }
            ],
        }
    }
}
