dmp-rwd接口

## 使用引导

### 1.Maven方式

#### 1.1 mvn的setting.xml设置私服访问用户名及密码

```
 <servers>
    <server>
      <id>persagy</id>
      <username>persagy</username>
      <password>persagy@2021</password>
    </server>
  </servers>
```

#### 1.2 引入nexus私服仓库

```
<repository>
	<id>persagy</id>
	<url>http://47.93.132.139:8081/nexus/content/repositories/persagy</url>
	<releases>
    	<enabled>true</enabled>
    </releases>
    <snapshots>
    	<enabled>true</enabled>
    </snapshots>
</repository>
```

#### 1.3 引入jar坐标

```
<dependency>
    <groupId>com.persagy</groupId>
    <artifactId>dmp-digital-starter</artifactId>
    <version>1.0.0</version>
</dependency>
```



## 特殊说明

### 1.查询列表接口默认分页说明

​	以下提供分页参数的接口如果没传分页参数dmp-rwd会默认分页,分页规则:优先取环境变量`persagy.bdtp.rwd.page.size`配置的分页条数,如果未配置会默认为500条数据



### 2.信息点数据类型(dataType属性)

| 数据类型   | 类型名称 | 信息点分类          | 是否复数   | 是否区间   | 数据源                           | 格式    |
| ---------- | -------- | ------------------- | ---------- | ---------- | -------------------------------- | ------- |
| INTEGER    | 整数     | 静态/脉冲/时序/阶段 | true/false | true/false | {$gt:10, $lt:50}                 | 无      |
| DOUBLE     | 浮点型   | 静态/脉冲/时序/阶段 | true/false | true/false | {$gte:10.1, $lt:50.9}            | 无      |
| BOOLEAN    | 布尔值   | 静态/脉冲/时序/阶段 | true/false | false      | [0, 1]                           | 无      |
| STRING     | 字符串   | 静态/脉冲/时序/阶段 | true/false | false      | (字符串长度区间){$gt:10, $lt:50} | 无      |
| DATETIME   | 日期时间 | 静态/脉冲/时序/阶段 | true/false | true/false | {'$gt':'0915', '$lt':'1031'}     | 'MMdd'  |
| ENUM       | 单选枚举 | 静态/脉冲/时序/阶段 | true/false | false      | 应用数据标准化中定义的数据类型   | 无      |
| MENUM      | 多选枚举 | 静态/脉冲/时序/阶段 | true/false | false      | 应用数据标准化中定义的数据类型   | 无      |
| ATTACHMENT | 附件     | 静态                | true/false | false      |                                  | pdf     |
| OBJECT     | 对象     | 静态                | true/false | false      |                                  | 对象 id |

说明:

```
把原来的data_type拆解成多个属性,减少了data_type种类数量
使用新的数据类型时,使用新的数据类型时,创建或编辑信息点需要明确指出数据类型、动静分类、是否复数、是否区间、长度（可选）、取值区间（可选）、格式（可选）
Tree、Topology、Route、Function四种类型不再支持(有需求再加回来)

动静分类（静态 STATIC、脉冲 PULSE、时序 SEQUENTIAL、阶段 GRADATION）应该是信息点的一个分类，不是数据类型的属性，放在这里是为了更直观更容易理解
根据动静分类区分动态量或静态量,静态量的值存储的是具体的数据,动态量的值存储的是表号-功能号,动态量包括脉冲量、时序量和阶段量
根据是否区间来判断存储的值是具体值还是区间, 比如INTEGER非区间的值12, 区间值[8, 15],为了区分开闭区间,这里实际存储为{$gt: 12, $lte: 15}, 其中$gt大于,$lt小于,$gte大于等于,$lte小于等于
根据是否复数区分存储的值是单个值还是多个值,单个值存储形式为xxx,多个值存储形式为[xxx, yyy],如果同时是复数和区间,存储的是多个区间
取值区间可以约束值的取值范围,可以通过取值区间做一次校验,如果是区间值,区间也应该是在取值区间的内部
统一用DATETIME表示日期和时间,通过格式设定具体存储的内容,格式由数据字典进行维护,物理世界存储的数据严格符合格式
格式是数据存储的数据格式或文件格式,对于日期时间附件对象等可进行校验
单选枚举Enum单数存储为GC, 复数存储为[GC, JK]
多选枚举MEnum单数存储为[GC, JK], 复数存储为[[GC], [GC,JK]], 多选枚举单数和单选枚举复数的存储形式一样应该不会出现问题,因为实际使用时是和类型(Enum,Menum)一起使用

布尔值BOOLEAN只允许0或1, 其中0表示false,1表示true.
```

### 3.信息点优先级说明

| 枚举值 | 含义说明                     |
| ------ | ---------------------------- |
| S      | 对象类最核心的属性点         |
| M      | 对象类一般重要的属性点       |
| R      | 对象类不太重要的参考性属性点 |

### 4.信息点输入方式说明(待补充)

| 枚举值 | 含义说明 |
| ------ | -------- |
|        |          |





## 物理世界对象接口

### 21001 查询物理世界对象(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/query?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子(仅列举[通用查询](/utils/common.md)中criteria中可使用的字段,具体参数结构请见[通用查询](/utils/common.md))

```
{
  "id": "dev_1",
  "name": "专业",
  "localId":"***",
  "localName":"***",
  "objType":"***",
  "classCode":"***",
  "groupCode": "PG",
  "projectId":"Pj001",
  ....
  "relationFrom":{
  	"graphId": "",
    "graphCode": "",
    "relCode": "",
    "objTo": ""
  },
  "relationTo":{
  	"graphId": "",
    "graphCode": "",
    "relCode": "",
    "objFrom": ""
  }
}
```

| 字段         | 子字段    | 是否必须 | 字段说明                      |
| ------------ | --------- | -------- | ----------------------------- |
| id           |           | 否       | 32位UUID                      |
| name         |           | 否       | 对象名称                      |
| localId      |           | 否       | 对象本地编码                  |
| localName    |           | 否       | 对象本地名称                  |
| objType      |           | 否       | 对象类型                      |
| classCode    |           | 否       | 类型编码                      |
| ....         |           | 否       | 各类型的信息点                |
| relationFrom |           | 否       | 创建时间,格式为yyyyMMddHHmmss |
|              | graphId   | 否       | 图实例id                      |
|              | graphCode | 否       | 图实例编码                    |
|              | relCode   | 否       | 关系编码                      |
|              | objTo     | 否       | 指向对象id                    |
| relationTo   |           | 否       | 创建人账号id                  |
|              | graphId   | 否       | 图实例id                      |
|              | graphCode | 否       | 图实例编码                    |
|              | relCode   | 否       | 关系编码                      |
|              | objFrom   | 否       | 来源对象id                    |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
          "id": "dev_1",
          "name": "专业",
          "localId":"***",
          "localName":"***",
          "objType":"***",
          "classCode":"***",
          "groupCode": "PG",
          ...
        }
    ],
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| name         | 是       | 对象名称                          |
| localId      | 是       | 对象本地id                        |
| localName    | 是       | 对象本地名称                      |
| objType      | 否       | 对象类型                          |
| classCode    | 否       | 类型编码                          |
| groupCode    | 否       | 集团编码                          |
| creator      | 否       | 创建人账号id                      |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:08:41 | 新增 | 新增接口 |



### 21002 新增物理世界对象-单个新增(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/createOne?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "id": "对象id, 调用方传入,若为空则生成默认id",
    "classCode": "类型编码,不可为空",
    "信息点编码": "信息点值"
}
```

| 字段       | 是否必须 | 字段说明                              |
| ---------- | -------- | ------------------------------------- |
| id         | 否       | 对象id, 调用方传入,若为空则生成默认id |
| classCode  | 是       | 类型编码                              |
| 信息点编码 | 否       | 各物理对象类型拥有的信息点            |

#### 成功例子

```
{
    "result": "success",
    "data": {
            "id": "对象id, 调用方传入,若为空则生成默认id",
            "classCode": "类型编码,不可为空",
            "信息点编码": "信息点值"
    }
}
```

| 字段       | 是否必有 | 字段说明                   |
| ---------- | -------- | -------------------------- |
| id         | 是       | 对象id                     |
| classCode  | 是       | 类型编码                   |
| type       | 是       | 字典类型                   |
| 信息点编码 | 是       | 各物理对象类型拥有的信息点 |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:15:09 | 新增 | 新增接口 |



### 21003 新增物理世界对象-批量新增(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/create?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
[
    {
        "id": "对象id, 调用方传入,若为空则生成默认id",
        "classCode": "类型编码,不可为空",
        "信息点编码": "信息点值"
    }
]
```

| 字段       | 是否必须 | 字段说明                              |
| ---------- | -------- | ------------------------------------- |
| id         | 否       | 对象id, 调用方传入,若为空则生成默认id |
| classCode  | 是       | 类型编码                              |
| 信息点编码 | 否       | 各物理对象类型拥有的信息点            |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
            "id": "对象id, 调用方传入,若为空则生成默认id",
            "classCode": "类型编码,不可为空",
            "信息点编码": "信息点值"
        }
    ]
}
```

| 字段       | 是否必有 | 字段说明                   |
| ---------- | -------- | -------------------------- |
| id         | 是       | 对象id                     |
| classCode  | 是       | 类型编码                   |
| type       | 是       | 字典类型                   |
| 信息点编码 | 是       | 各物理对象类型拥有的信息点 |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:15:09 | 新增 | 新增接口 |



### 21004 更新物理世界对象数据-单个更新(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/updateOne?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
        "id": "对象id, 调用方传入",
        "信息点编码": "信息点值"
}
```

| 字段       | 是否必须 | 字段说明                   |
| ---------- | -------- | -------------------------- |
| id         | 是       | 对象id                     |
| 信息点编码 | 否       | 各物理对象类型拥有的信息点 |

#### 成功例子

```
{
    "result": "success",
    "data": {
            "id": "对象id, 调用方传入",
            "信息点编码": "信息点值"
    }
}
```

| 字段       | 是否必有 | 字段说明                   |
| ---------- | -------- | -------------------------- |
| id         | 是       | 对象id                     |
| 信息点编码 | 否       | 各物理对象类型拥有的信息点 |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:22:01 | 新增 | 新增接口 |



### 21005 更新物理世界对象数据-批量更新(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/update?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
[
    {
        "id": "对象id, 调用方传入",
        "信息点编码": "信息点值"
    }
]
```

| 字段       | 是否必须 | 字段说明                   |
| ---------- | -------- | -------------------------- |
| id         | 是       | 对象id                     |
| 信息点编码 | 否       | 各物理对象类型拥有的信息点 |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
            "id": "对象id, 调用方传入",
            "信息点编码": "信息点值"
        }
    ]
}
```

| 字段       | 是否必有 | 字段说明                   |
| ---------- | -------- | -------------------------- |
| id         | 是       | 对象id                     |
| 信息点编码 | 否       | 各物理对象类型拥有的信息点 |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:22:01 | 新增 | 新增接口 |



### 21006 删除物理世界对象数据-单个删除(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/deleteOne?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
"***"
```

| 字段 | 是否必须 | 字段说明 |
| ---- | -------- | -------- |
| ***  | 是       | 对象id   |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:25:23 | 新增 | 新增接口 |



### 21007 删除物理世界对象数据-批量删除(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/delete?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
["***","***"]
```

| 字段 | 是否必须 | 字段说明 |
| ---- | -------- | -------- |
| ***  | 是       | 对象id   |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:28:07 | 新增 | 新增接口 |



### 21008 根据项目id批量查询项目信息

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/batchQueryProjectByIds?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
["***","***"]
```

| 字段 | 是否必须 | 字段说明 |
| ---- | -------- | -------- |
| ***  | 是       | 对象id   |

#### 成功例子

```
{
    "result": "success",
    "data":[
        {
            "id": "Pj1100002633",
            "valid": 1,
            "creationTime": 1628733867000,
            "creator": "0",
            "modifiedTime": null,
            "modifier": null,
            "projectId": "Pj1100002633",
            "name": "asdasd",
            "localId": "asdasd",
            "localName": "asdasd",
            "objType": "project",
            "classCode": "project",
            "groupCode": "YL",
            "grouping": 1,
            "infos": {
                "city": "810300",
                "altitude": 1,
                "latitude": 1,
                "province": "810000",
                "longitude": 1,
                "projIntro": "asdfasdfasf",
                "urbanZone": "810309",
                "climateZone": "00",
                "projFuncType": "M00",
                "urbanDevpLev": "0000",
                "groupManageZone": "4b950e729d914607919045be0bf91151",
                "businessOpeningTime": "20210814"
            },
            "virtualCodes": [],
            "createApp": "dmp",
            "updateApp": null
        }
    ],
    "count": 20
}
```

| 字段         | 子字段              | 是否必须 | 字段说明                                   |
| ------------ | ------------------- | -------- | ------------------------------------------ |
| id           |                     | 是       | Pj+6位地区码+4位顺序码                     |
| valid        |                     | 否       | 合法标识,0-无效,1-有效                     |
| creationTime |                     | 否       | 创建时间,时间戳                            |
| creator      |                     | 否       | 创建人账号id                               |
| modifiedTime |                     | 否       | 最后更新时间,时间戳                        |
| modifier     |                     | 否       | 最后更新人id                               |
| projectId    |                     | 是       | 所属项目id                                 |
| name         |                     | 是       | 项目名称                                   |
| localId      |                     | 否       | 项目本地编码                               |
| localName    |                     | 否       | 项目本地名称                               |
| objType      |                     | 是       | 对象类型,见[对象类型](/utils/common.md)    |
| classCode    |                     | 否       | 对象类型编码,见接口26001查询结果中的code值 |
| groupCode    |                     | 是       | 集团编码                                   |
| grouping     |                     | 是       | 1单个对象,2对象组                          |
| infos        |                     | 否       | 对象信息点对象                             |
|              | city                | 否       | 城市编码                                   |
|              | altitude            | 否       | 海拔                                       |
|              | latitude            | 否       | 纬度                                       |
|              | province            | 否       | 省编码                                     |
|              | longitude           | 否       | 经度                                       |
|              | projIntro           | 否       | 项目简介                                   |
|              | urbanZone           | 否       | 区域编码                                   |
|              | climateZone         | 否       | 气候区编码                                 |
|              | projFuncType        | 否       | 项目功能类型编码                           |
|              | urbanDevpLev        | 否       | 城市发展水平                               |
|              | groupManageZone     | 否       | 管理分区id                                 |
|              | businessOpeningTime | 否       | 项目开业时间,格式yyyyMMdd                  |
| virtualCodes |                     | 否       | 虚点清单                                   |
| createApp    |                     | 否       | 创建应用                                   |
| updateApp    |                     | 否       | 更新应用                                   |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:28:07 | 新增 | 新增接口 |



### 21009 根据管理分区id批量查询项目信息(数据量大的时候较慢)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/batchQueryProjectByGroupManageZoneIds?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "groupManageZoneIds":["***","***"]
}
```

| 字段               | 是否必须 | 字段说明       |
| ------------------ | -------- | -------------- |
| groupManageZoneIds | 是       | 管理分区id集合 |

#### 成功例子

```
{
    "result": "success",
    "data":[
        {
            "id": "Pj1100002633",
            "valid": 1,
            "creationTime": 1628733867000,
            "creator": "0",
            "modifiedTime": null,
            "modifier": null,
            "projectId": "Pj1100002633",
            "name": "asdasd",
            "localId": "asdasd",
            "localName": "asdasd",
            "objType": "project",
            "classCode": "project",
            "groupCode": "YL",
            "grouping": 1,
            "infos": {
                "city": "810300",
                "altitude": 1,
                "latitude": 1,
                "province": "810000",
                "longitude": 1,
                "projIntro": "asdfasdfasf",
                "urbanZone": "810309",
                "climateZone": "00",
                "projFuncType": "M00",
                "urbanDevpLev": "0000",
                "groupManageZone": "4b950e729d914607919045be0bf91151",
                "businessOpeningTime": "20210814"
            },
            "virtualCodes": [],
            "createApp": "dmp",
            "updateApp": null
        }
    ],
    "count": 20
}
```

| 字段         | 子字段              | 是否必须 | 字段说明                                   |
| ------------ | ------------------- | -------- | ------------------------------------------ |
| id           |                     | 是       | Pj+6位地区码+4位顺序码                     |
| valid        |                     | 否       | 合法标识,0-无效,1-有效                     |
| creationTime |                     | 否       | 创建时间,时间戳                            |
| creator      |                     | 否       | 创建人账号id                               |
| modifiedTime |                     | 否       | 最后更新时间,时间戳                        |
| modifier     |                     | 否       | 最后更新人id                               |
| projectId    |                     | 是       | 所属项目id                                 |
| name         |                     | 是       | 项目名称                                   |
| localId      |                     | 否       | 项目本地编码                               |
| localName    |                     | 否       | 项目本地名称                               |
| objType      |                     | 是       | 对象类型,见[对象类型](/utils/common.md)    |
| classCode    |                     | 否       | 对象类型编码,见接口26001查询结果中的code值 |
| groupCode    |                     | 是       | 集团编码                                   |
| grouping     |                     | 是       | 1单个对象,2对象组                          |
| infos        |                     | 否       | 对象信息点对象                             |
|              | city                | 否       | 城市编码                                   |
|              | altitude            | 否       | 海拔                                       |
|              | latitude            | 否       | 纬度                                       |
|              | province            | 否       | 省编码                                     |
|              | longitude           | 否       | 经度                                       |
|              | projIntro           | 否       | 项目简介                                   |
|              | urbanZone           | 否       | 区域编码                                   |
|              | climateZone         | 否       | 气候区编码                                 |
|              | projFuncType        | 否       | 项目功能类型编码                           |
|              | urbanDevpLev        | 否       | 城市发展水平                               |
|              | groupManageZone     | 否       | 管理分区id                                 |
|              | businessOpeningTime | 否       | 项目开业时间,格式yyyyMMdd                  |
| virtualCodes |                     | 否       | 虚点清单                                   |
| createApp    |                     | 否       | 创建应用                                   |
| updateApp    |                     | 否       | 更新应用                                   |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:28:07 | 新增 | 新增接口 |



### 21010 查询指定楼层下所有指定空间类型的空间

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/querySpaceListByFloorIdAndRoomFuncType?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "floorId":"***",
  "roomFuncType":"***",
  "keyword":"***",
  "page":1,
  "size":50
}
```

| 字段         | 是否必须 | 字段说明               |
| ------------ | -------- | ---------------------- |
| floorId      | 是       | 楼层id                 |
| keyword      | 否       | 空间本地名称筛选关键字 |
| roomFuncType | 否       | 空间功能类型           |
| page         | 否       | 分页页数,从1开始       |
| pageSize     | 否       | 分页条数               |

#### 成功例子

```
{
    "result": "success",
    "data":[
        {
            "id": "Pj1100002633",
            "valid": 1,
            "creationTime": 1628733867000,
            "creator": "0",
            "modifiedTime": null,
            "modifier": null,
            "projectId": "Pj1100002633",
            "name": "asdasd",
            "localId": "asdasd",
            "localName": "asdasd",
            "objType": "project",
            "classCode": "project",
            "groupCode": "YL",
            "grouping": 1,
            "infos": {
            	
            },
            "virtualCodes": [],
            "createApp": "dmp",
            "updateApp": "dmp"
        }
    ],
    "count": 20
}
```

| 字段         | 子字段 | 是否必须 | 字段说明                                                     |
| ------------ | ------ | -------- | ------------------------------------------------------------ |
| id           |        | 是       | Pj+6位地区码+4位顺序码                                       |
| valid        |        | 否       | 合法标识,0-无效,1-有效                                       |
| creationTime |        | 否       | 创建时间,时间戳                                              |
| creator      |        | 否       | 创建人账号id                                                 |
| modifiedTime |        | 否       | 最后更新时间,时间戳                                          |
| modifier     |        | 否       | 最后更新人id                                                 |
| projectId    |        | 是       | 所属项目id                                                   |
| name         |        | 是       | 项目名称                                                     |
| localId      |        | 否       | 项目本地编码                                                 |
| localName    |        | 否       | 项目本地名称                                                 |
| objType      |        | 是       | 对象类型,见[对象类型](/utils/common.md)                      |
| classCode    |        | 否       | 对象类型编码,见接口26001查询结果中的code值                   |
| groupCode    |        | 是       | 集团编码                                                     |
| grouping     |        | 是       | 1单个对象,2对象组                                            |
| infos        |        | 否       | 对象信息点对象,见[空间信息点说明](/utils/spaceInfoCodeView.md) |
| virtualCodes |        | 否       | 虚点清单                                                     |
| createApp    |        | 否       | 创建应用                                                     |
| updateApp    |        | 否       | 更新应用                                                     |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月23日15:44:33 | 新增 | 新增接口 |



### 21011 查询指定空间下所有指定对象类型的设备

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/queryEquipListBySpaceIdAndClassCode?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "spaceId":"***",
  "classCode":"***",
  "keyword":"***",
  "page":1,
  "size":50
}
```

| 字段      | 是否必须 | 字段说明               |
| --------- | -------- | ---------------------- |
| spaceId   | 是       | 空间id                 |
| keyword   | 否       | 设备本地名称筛选关键字 |
| classCode | 否       | 设备类型               |
| page      | 否       | 分页页数,从1开始       |
| pageSize  | 否       | 分页条数               |

#### 成功例子

```
{
    "result": "success",
    "data":[
        {
            "id": "Pj1100002633",
            "valid": 1,
            "creationTime": 1628733867000,
            "creator": "0",
            "modifiedTime": null,
            "modifier": null,
            "projectId": "Pj1100002633",
            "name": "asdasd",
            "localId": "asdasd",
            "localName": "asdasd",
            "objType": "project",
            "classCode": "project",
            "groupCode": "YL",
            "grouping": 1,
            "infos": {
            },
            "virtualCodes": [],
            "createApp": "dmp",
            "updateApp": "dmp"
        }
    ],
    "count": 20
}
```

| 字段         | 子字段 | 是否必须 | 字段说明                                                     |
| ------------ | ------ | -------- | ------------------------------------------------------------ |
| id           |        | 是       | Pj+6位地区码+4位顺序码                                       |
| valid        |        | 否       | 合法标识,0-无效,1-有效                                       |
| creationTime |        | 否       | 创建时间,时间戳                                              |
| creator      |        | 否       | 创建人账号id                                                 |
| modifiedTime |        | 否       | 最后更新时间,时间戳                                          |
| modifier     |        | 否       | 最后更新人id                                                 |
| projectId    |        | 是       | 所属项目id                                                   |
| name         |        | 是       | 项目名称                                                     |
| localId      |        | 否       | 项目本地编码                                                 |
| localName    |        | 否       | 项目本地名称                                                 |
| objType      |        | 是       | 对象类型,见[对象类型](/utils/common.md)                      |
| classCode    |        | 否       | 对象类型编码,见接口26001查询结果中的code值                   |
| groupCode    |        | 是       | 集团编码                                                     |
| grouping     |        | 是       | 1单个对象,2对象组                                            |
| infos        |        | 否       | 对象信息点对象,见[设备信息点说明](/utils/equipmentInfoCodeView.md) |
| virtualCodes |        | 否       | 虚点清单                                                     |
| createApp    |        | 否       | 创建应用                                                     |
| updateApp    |        | 否       | 更新应用                                                     |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月23日15:44:33 | 新增 | 新增接口 |



### 21012 按类型编码查询所有设备

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/queryEquipListByClassCode?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "classCode":"***",
  "keyword":"***",
  "page":1,
  "size":50
}
```

| 字段      | 是否必须 | 字段说明                                  |
| --------- | -------- | ----------------------------------------- |
| keyword   | 否       | 设备本地名称筛选关键字                    |
| classCode | 是       | 设备类型,数据范围为专业/系统类/设备类code |
| page      | 否       | 分页页数,从1开始                          |
| pageSize  | 否       | 分页条数                                  |

#### 成功例子

```
{
    "result": "success",
    "data":[
        {
            "id": "Pj1100002633",
            "valid": 1,
            "creationTime": 1628733867000,
            "creator": "0",
            "modifiedTime": null,
            "modifier": null,
            "projectId": "Pj1100002633",
            "name": "asdasd",
            "localId": "asdasd",
            "localName": "asdasd",
            "objType": "project",
            "classCode": "project",
            "groupCode": "YL",
            "grouping": 1,
            "infos": {
            },
            "virtualCodes": [],
            "createApp": "dmp",
            "updateApp": "dmp"
        }
    ],
    "count": 20
}
```

| 字段         | 子字段 | 是否必须 | 字段说明                                                     |
| ------------ | ------ | -------- | ------------------------------------------------------------ |
| id           |        | 是       | Pj+6位地区码+4位顺序码                                       |
| valid        |        | 否       | 合法标识,0-无效,1-有效                                       |
| creationTime |        | 否       | 创建时间,时间戳                                              |
| creator      |        | 否       | 创建人账号id                                                 |
| modifiedTime |        | 否       | 最后更新时间,时间戳                                          |
| modifier     |        | 否       | 最后更新人id                                                 |
| projectId    |        | 是       | 所属项目id                                                   |
| name         |        | 是       | 项目名称                                                     |
| localId      |        | 否       | 项目本地编码                                                 |
| localName    |        | 否       | 项目本地名称                                                 |
| objType      |        | 是       | 对象类型,见[对象类型](/utils/common.md)                      |
| classCode    |        | 否       | 对象类型编码,见接口26001查询结果中的code值                   |
| groupCode    |        | 是       | 集团编码                                                     |
| grouping     |        | 是       | 1单个对象,2对象组                                            |
| infos        |        | 否       | 对象信息点对象,见[设备信息点说明](/utils/equipmentInfoCodeView.md) |
| virtualCodes |        | 否       | 虚点清单                                                     |
| createApp    |        | 否       | 创建应用                                                     |
| updateApp    |        | 否       | 更新应用                                                     |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月23日15:44:33 | 新增 | 新增接口 |



### 21013 按系统查询系统下所有设备

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/queryEquipListBySystemId?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "systemId":"***",
  "keyword":"***",
  "page":1,
  "size":50
}
```

| 字段     | 是否必须 | 字段说明               |
| -------- | -------- | ---------------------- |
| keyword  | 否       | 设备本地名称筛选关键字 |
| systemId | 是       | 系统id                 |
| page     | 否       | 分页页数,从1开始       |
| pageSize | 否       | 分页条数               |

#### 成功例子

```
{
    "result": "success",
    "data":[
        {
            "id": "Pj1100002633",
            "valid": 1,
            "creationTime": 1628733867000,
            "creator": "0",
            "modifiedTime": null,
            "modifier": null,
            "projectId": "Pj1100002633",
            "name": "asdasd",
            "localId": "asdasd",
            "localName": "asdasd",
            "objType": "project",
            "classCode": "project",
            "groupCode": "YL",
            "grouping": 1,
            "infos": {
            },
            "virtualCodes": [],
            "createApp": "dmp",
            "updateApp": "dmp"
        }
    ],
    "count": 20
}
```

| 字段         | 子字段 | 是否必须 | 字段说明                                                     |
| ------------ | ------ | -------- | ------------------------------------------------------------ |
| id           |        | 是       | Pj+6位地区码+4位顺序码                                       |
| valid        |        | 否       | 合法标识,0-无效,1-有效                                       |
| creationTime |        | 否       | 创建时间,时间戳                                              |
| creator      |        | 否       | 创建人账号id                                                 |
| modifiedTime |        | 否       | 最后更新时间,时间戳                                          |
| modifier     |        | 否       | 最后更新人id                                                 |
| projectId    |        | 是       | 所属项目id                                                   |
| name         |        | 是       | 项目名称                                                     |
| localId      |        | 否       | 项目本地编码                                                 |
| localName    |        | 否       | 项目本地名称                                                 |
| objType      |        | 是       | 对象类型,见[对象类型](/utils/common.md)                      |
| classCode    |        | 否       | 对象类型编码,见接口26001查询结果中的code值                   |
| groupCode    |        | 是       | 集团编码                                                     |
| grouping     |        | 是       | 1单个对象,2对象组                                            |
| infos        |        | 否       | 对象信息点对象,见[设备信息点说明](/utils/equipmentInfoCodeView.md) |
| virtualCodes |        | 否       | 虚点清单                                                     |
| createApp    |        | 否       | 创建应用                                                     |
| updateApp    |        | 否       | 更新应用                                                     |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月23日15:44:33 | 新增 | 新增接口 |



### 21014 支持按指定[专业、系统、设备类、楼层、安装位置、生产厂家、设备状态、维保单位名称]，模糊[设备名称、设备型号]查询设备列表，并按条件排序

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/queryEquipListByConditions?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "classCode":"***",
  "systemId":"***",
  "floorId":"***",
  "projectIds":["***","***"]
  "installLocation":"***",
  "manufacturer":"***",
  "equipStatus":"***",
  "warranter":"***",
  "keyword":"***",
  "orders":[
  	{
  		"column":"",
  		"asc":true
  	}
  ]
  "page":1,
  "size":50
}
```

| 字段            | 子字段 | 是否必须 | 字段说明                                                    |
| --------------- | ------ | -------- | ----------------------------------------------------------- |
| classCode       |        | 否       | 专业,系统类,设备类code                                      |
| systemId        |        | 否       | 系统id                                                      |
| floorId         |        | 否       | 楼层id                                                      |
| installLocation |        | 否       | 安装位置                                                    |
| manufacturer    |        | 否       | 生产厂家                                                    |
| equipStatus     |        | 否       | 设备状态                                                    |
| warranter       |        | 否       | 维保单位名称                                                |
| keyword         |        | 否       | 设备本地名称筛选关键字                                      |
| page            |        | 否       | 分页页数,从1开始                                            |
| size            |        | 否       | 分页条数                                                    |
| orders          |        | 否       | 排序参数                                                    |
|                 | column | 是       | 排序字段,installLocation,manufacturer,equipStatus,warranter |
|                 | asc    | 是       | true-正序,false-倒序                                        |

#### 成功例子

```
{
    "result": "success",
    "data":[
        {
            "id": "Pj1100002633",
            "valid": 1,
            "creationTime": 1628733867000,
            "creator": "0",
            "modifiedTime": null,
            "modifier": null,
            "projectId": "Pj1100002633",
            "name": "asdasd",
            "localId": "asdasd",
            "localName": "asdasd",
            "objType": "project",
            "classCode": "project",
            "groupCode": "YL",
            "grouping": 1,
            "infos": {
            },
            "virtualCodes": [],
            "createApp": "dmp",
            "updateApp": "dmp"
        }
    ],
    "count": 20
}
```

| 字段         | 子字段 | 是否必须 | 字段说明                                                     |
| ------------ | ------ | -------- | ------------------------------------------------------------ |
| id           |        | 是       | Pj+6位地区码+4位顺序码                                       |
| valid        |        | 否       | 合法标识,0-无效,1-有效                                       |
| creationTime |        | 否       | 创建时间,时间戳                                              |
| creator      |        | 否       | 创建人账号id                                                 |
| modifiedTime |        | 否       | 最后更新时间,时间戳                                          |
| modifier     |        | 否       | 最后更新人id                                                 |
| projectId    |        | 是       | 所属项目id                                                   |
| name         |        | 是       | 项目名称                                                     |
| localId      |        | 否       | 项目本地编码                                                 |
| localName    |        | 否       | 项目本地名称                                                 |
| objType      |        | 是       | 对象类型,见[对象类型](/utils/common.md)                      |
| classCode    |        | 否       | 对象类型编码,见接口26001查询结果中的code值                   |
| groupCode    |        | 是       | 集团编码                                                     |
| grouping     |        | 是       | 1单个对象,2对象组                                            |
| infos        |        | 否       | 对象信息点对象,见[设备信息点说明](/utils/equipmentInfoCodeView.md) |
| virtualCodes |        | 否       | 虚点清单                                                     |
| createApp    |        | 否       | 创建应用                                                     |
| updateApp    |        | 否       | 更新应用                                                     |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月23日15:44:33 | 新增 | 新增接口 |



### 21015 支持按指定空间功能类型查询此空间类型及其下级类型的所有空间列表

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/querySpaceListByRoomFuncType?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "roomFuncType":"***",
  "keyword":"***",
  "page":1,
  "size":50
}
```

| 字段         | 是否必须 | 字段说明               |
| ------------ | -------- | ---------------------- |
| keyword      | 否       | 空间本地名称筛选关键字 |
| roomFuncType | 是       | 空间功能类型           |
| page         | 否       | 分页页数,从1开始       |
| pageSize     | 否       | 分页条数               |

#### 成功例子

```
{
    "result": "success",
    "data":[
        {
            "id": "Pj1100002633",
            "valid": 1,
            "creationTime": 1628733867000,
            "creator": "0",
            "modifiedTime": null,
            "modifier": null,
            "projectId": "Pj1100002633",
            "name": "asdasd",
            "localId": "asdasd",
            "localName": "asdasd",
            "objType": "project",
            "classCode": "project",
            "groupCode": "YL",
            "grouping": 1,
            "infos": {
            },
            "virtualCodes": [],
            "createApp": "dmp",
            "updateApp": "dmp"
        }
    ],
    "count": 20
}
```

| 字段         | 子字段 | 是否必须 | 字段说明                                                     |
| ------------ | ------ | -------- | ------------------------------------------------------------ |
| id           |        | 是       | Pj+6位地区码+4位顺序码                                       |
| valid        |        | 否       | 合法标识,0-无效,1-有效                                       |
| creationTime |        | 否       | 创建时间,时间戳                                              |
| creator      |        | 否       | 创建人账号id                                                 |
| modifiedTime |        | 否       | 最后更新时间,时间戳                                          |
| modifier     |        | 否       | 最后更新人id                                                 |
| projectId    |        | 是       | 所属项目id                                                   |
| name         |        | 是       | 项目名称                                                     |
| localId      |        | 否       | 项目本地编码                                                 |
| localName    |        | 否       | 项目本地名称                                                 |
| objType      |        | 是       | 对象类型,见[对象类型](/utils/common.md)                      |
| classCode    |        | 否       | 对象类型编码,见接口26001查询结果中的code值                   |
| groupCode    |        | 是       | 集团编码                                                     |
| grouping     |        | 是       | 1单个对象,2对象组                                            |
| infos        |        | 否       | 对象信息点对象,见[空间信息点说明](/utils/spaceInfoCodeView.md) |
| virtualCodes |        | 否       | 虚点清单                                                     |
| createApp    |        | 否       | 创建应用                                                     |
| updateApp    |        | 否       | 更新应用                                                     |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月23日15:44:33 | 新增 | 新增接口 |



### 21016 根据上级id查询下级关联对象

> 本接口使用的关系仅涉及到建筑空间类-建筑空间类中的建筑从属关系,建筑空间类-机电精装类中的机电类所在区域关系,机电精装类-机电精装类中的机电从属关系.其他关系暂不涉及

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/queryObjectListSuperiorId?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "projectId":"***",
  "buildingId":"***",
  "floorId":"***",
  "equipmentId":"***",
  "classCodes":["***","****"],
  "objTypes":["****","***"],
  "keyword":"***",
  "page":1,
  "size":50,
  "onlyCount":false,
  "createTimeScope":{
  	"startEq":"yyyyMMddHHmmss",
  	"endEq":"yyyyMMddHHmmss"
  },
  "returnInfos":["***","****"],
  "validSet":[]
}
```

| 字段            |         | 是否必须 | 字段说明                                        |
| --------------- | ------- | -------- | ----------------------------------------------- |
| projectId       |         | 否       | 项目id                                          |
| buildingId      |         | 否       | 建筑id                                          |
| floorId         |         | 否       | 楼层id                                          |
| equipmentId     |         | 否       | 设备id                                          |
| classCodes      |         | 否       | 对象类型编码集合                                |
| objTypes        |         | 否       | 对象分类编码集合                                |
| keyword         |         | 否       | 本地名称筛选关键字                              |
| page            |         | 否       | 分页页数,从1开始                                |
| size            |         | 否       | 分页条数                                        |
| onlyCount       |         | 否       | 是否值返回数量                                  |
| createTimeScope |         | 否       | 创建时间筛选范围                                |
|                 | startEq | 否       | 大于等于                                        |
|                 | endEq   | 否       | 小于等于                                        |
| returnInfos     |         | 否       | 返回信息点,仅过滤infos里的信息点,基本属性不过滤 |
| validSet        |         | 否       | 有效范围过滤                                    |

#### 成功例子

```
{
    "result": "success",
    "data":[
        {
            "id": "Pj1100002633",
            "valid": 1,
            "creationTime": 1628733867000,
            "creator": "0",
            "modifiedTime": null,
            "modifier": null,
            "projectId": "Pj1100002633",
            "name": "asdasd",
            "localId": "asdasd",
            "localName": "asdasd",
            "objType": "project",
            "classCode": "project",
            "groupCode": "YL",
            "grouping": 1,
            "infos": {
            },
            "virtualCodes": [],
            "createApp": "dmp",
            "updateApp": "dmp",
            "objFromIds":[
            	"Bd110105102927cd3ad581c043bf94536a2e92f21b72",
				"Fl1101051029d1767f7625b44a29b16d7f03f27fd2a4"
			],
			"objToIds":[
				"Sp1101051029983ee279dbeb4e8e9f725f194311caf9"
			]
        }
    ],
    "count": 20
}
```

| 字段         | 子字段 | 是否必须 | 字段说明                                                     |
| ------------ | ------ | -------- | ------------------------------------------------------------ |
| id           |        | 是       | Pj+6位地区码+4位顺序码                                       |
| valid        |        | 否       | 合法标识,0-无效,1-有效                                       |
| creationTime |        | 否       | 创建时间,时间戳                                              |
| creator      |        | 否       | 创建人账号id                                                 |
| modifiedTime |        | 否       | 最后更新时间,时间戳                                          |
| modifier     |        | 否       | 最后更新人id                                                 |
| projectId    |        | 是       | 所属项目id                                                   |
| name         |        | 是       | 项目名称                                                     |
| localId      |        | 否       | 项目本地编码                                                 |
| localName    |        | 否       | 项目本地名称                                                 |
| objType      |        | 是       | 对象类型,见[对象类型](/utils/common.md)                      |
| classCode    |        | 否       | 对象类型编码,见接口26001查询结果中的code值                   |
| groupCode    |        | 是       | 集团编码                                                     |
| grouping     |        | 是       | 1单个对象,2对象组                                            |
| infos        |        | 否       | 对象信息点对象,见[设备信息点说明](/utils/equipmentInfoCodeView.md) |
| virtualCodes |        | 否       | 虚点清单                                                     |
| createApp    |        | 否       | 创建应用                                                     |
| updateApp    |        | 否       | 更新应用                                                     |
| objFromIds   |        | 否       | 关联的对象id,楼层对象为建筑id,空间对象为建筑id和楼层id,设备对象为设备id,系统对象为系统id |
| objToIds     |        | 否       | 关联的对象id,楼层对象为楼层id,空间对象为空间id,设备对象为建筑id,系统对象为建筑id |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容                      |
| --------------------- | ---- | ----------------------------- |
| 2021年8月23日15:44:33 | 新增 | 新增接口                      |
| 2021年8月26日14:38:27 | 修改 | 返回值新增objFromIds,objToIds |



### 21017 根据图类型编码及关系类型编码查询对象及其关联对象

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/queryObjectListByGraphCodeAndRelCode?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "relCode":"***",
  "graphCode":"***",
  "relValue":"***",
  "mainContent":"***",
  "slaveContent":["****","***"],
  "page":1,
  "size":50
}
```

| 字段         |      | 是否必须 | 字段说明                                                     |
| ------------ | ---- | -------- | ------------------------------------------------------------ |
| relCode      |      | 是       | 关系类型编码                                                 |
| graphCode    |      | 是       | 图类型编码                                                   |
| relValue     |      | 否       | 关系值,一般空间关系会有,为空间的对象类型                     |
| mainContent  |      | 否       | 主对象的筛选关键字,筛选范围为id,name,local_id,local_name,cADID.为关系左侧对象 |
| slaveContent |      | 否       | 从对象的筛选关键字.objTo对应的对象,筛选范围为id,name,local_id,local_name.为关系右侧对象 |
| page         |      | 否       | 分页页数,从1开始                                             |
| size         |      | 否       | 分页条数                                                     |

#### 成功例子

```
{
    "result": "success",
    "data":[
        {
            "id": "Pj1100002633",
            "valid": 1,
            "creationTime": 1628733867000,
            "creator": "0",
            "modifiedTime": null,
            "modifier": null,
            "projectId": "Pj1100002633",
            "name": "asdasd",
            "localId": "asdasd",
            "localName": "asdasd",
            "objType": "project",
            "classCode": "project",
            "groupCode": "YL",
            "grouping": 1,
            "infos": {
            },
            "virtualCodes": [],
            "createApp": "dmp",
            "updateApp": "dmp",
            "relObjs":[
                {
                	"id": "Pj1100002633",
                    "valid": 1,
                    "creationTime": 1628733867000,
                    "creator": "0",
                    "modifiedTime": null,
                    "modifier": null,
                    "projectId": "Pj1100002633",
                    "name": "asdasd",
                    "localId": "asdasd",
                    "localName": "asdasd",
                    "objType": "project",
                    "classCode": "project",
                    "groupCode": "YL",
                    "grouping": 1,
                    "infos": {
                    }
                }
			]
        }
    ],
    "count": 20
}
```

| 字段         | 子字段 | 是否必须 | 字段说明                                                     |
| ------------ | ------ | -------- | ------------------------------------------------------------ |
| id           |        | 是       | Pj+6位地区码+4位顺序码                                       |
| valid        |        | 否       | 合法标识,0-无效,1-有效                                       |
| creationTime |        | 否       | 创建时间,时间戳                                              |
| creator      |        | 否       | 创建人账号id                                                 |
| modifiedTime |        | 否       | 最后更新时间,时间戳                                          |
| modifier     |        | 否       | 最后更新人id                                                 |
| projectId    |        | 是       | 所属项目id                                                   |
| name         |        | 是       | 项目名称                                                     |
| localId      |        | 否       | 项目本地编码                                                 |
| localName    |        | 否       | 项目本地名称                                                 |
| objType      |        | 是       | 对象类型,见[对象类型](/utils/common.md)                      |
| classCode    |        | 否       | 对象类型编码,见接口26001查询结果中的code值                   |
| groupCode    |        | 是       | 集团编码                                                     |
| grouping     |        | 是       | 1单个对象,2对象组                                            |
| infos        |        | 否       | 对象信息点对象,见[设备信息点说明](/utils/equipmentInfoCodeView.md) |
| virtualCodes |        | 否       | 虚点清单                                                     |
| createApp    |        | 否       | 创建应用                                                     |
| updateApp    |        | 否       | 更新应用                                                     |
| objFromIds   |        | 否       | 关联的对象id,楼层对象为建筑id,空间对象为建筑id和楼层id,设备对象为设备id,系统对象为系统id |
| objToIds     |        | 否       | 关联的对象id,楼层对象为楼层id,空间对象为空间id,设备对象为建筑id,系统对象为建筑id |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容                      |
| --------------------- | ---- | ----------------------------- |
| 2021年8月23日15:44:33 | 新增 | 新增接口                      |
| 2021年8月26日14:38:27 | 修改 | 返回值新增objFromIds,objToIds |



### 21018 根据对象id批量更新对象的classCode

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/batchUpdateClassCodesByIds?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
[
    {
        "id": "Eq12090102033ce45cbe52714655b7284e984c0a7e0e",
        "classCode": "WSRWWT"
    }
]
```

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| id        | 是       | 对象id   |
| classCode | 是       | 对象类型 |

#### 成功例子

```
{
    "result": "success",
    "data":[],
    "count": 0
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年9月27日19:11:54 | 新增 | 新增接口 |



## 对象关系接口

### 22001 查询物理世界对象关系(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/relation/query?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子(仅列举[通用查询](/utils/common.md)中criteria中可使用的字段,具体参数结构请见[通用查询](/utils/common.md))

```
{
    "graphCode": "图类型编码",
    "graphId": "图类型Id",
    "relCode": "边类型编码",
    "objFrom": "",
    "objTo": ""
}
```

| 字段      | 子字段 | 是否必须 | 字段说明   |
| --------- | ------ | -------- | ---------- |
| graphCode |        | 否       | 图类型编码 |
| graphId   |        | 否       | 图类型Id   |
| relCode   |        | 否       | 边类型编码 |
| objFrom   |        | 否       | 来源对象id |
| objTo     |        | 否       | 去向对象id |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
            "id": "9b88fb9496c94713ba41e2dc45861e89",
            "projectId": "Pj1101050029",
            "graphId": "GtArchSubset001",
            "graphCode": "ArchSubset",
            "relCode": "Fl2Sp",
            "objFrom": "Fl11010500296bc7ca3a0d5d41419cf95c5b45116400",
            "objTo": "Sp1101050029f79243a7cef34ffda9a09401274717b7",
            "valid": 1,
            "creationTime": 1601527142000,
            "modifiedTime": 1601527142000
        }
    ],
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| groupCode    | 否       | 集团编码                          |
| projectId    | 是       | 项目id                            |
| graphId      | 否       | 图主键                            |
| graphCode    | 否       | 图编码                            |
| relCode      | 否       | 关系编码                          |
| objFrom      | 否       | 来源对象id                        |
| objTo        | 否       | 目标对象id                        |
| valid        | 是       | 合法标识,1-有效,0-无效            |
| creator      | 否       | 创建人账号id                      |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:37:10 | 新增 | 新增接口 |



### 22002 新增物理世界对象关系-单个新增(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/relation/createOne?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "graphCode": "图类型编码",
    "graphId": "图类型Id",
    "relCode": "边类型编码",
    "objFrom": "",
    "objTo": ""
}
```

| 字段      | 子字段 | 是否必须 | 字段说明   |
| --------- | ------ | -------- | ---------- |
| graphCode |        | 否       | 图类型编码 |
| graphId   |        | 否       | 图类型Id   |
| relCode   |        | 否       | 边类型编码 |
| objFrom   |        | 否       | 来源对象id |
| objTo     |        | 否       | 去向对象id |

#### 成功例子

```
{
    "result": "success",
    "data": {
        "id":"***",
        "graphCode": "图类型编码",
        "graphId": "图类型Id",
        "relCode": "边类型编码",
        "objFrom": "",
        "objTo": "",
        "valid":1,
        "creator":"创建人账号id",
        "creationTime":"创建时间,格式为yyyyMMddHHmmss",
        "modifiedTime":"最后更新时间,格式为yyyyMMddHHmmss",
        "modifier":"最后更新账号id"
    }
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| groupCode    | 否       | 集团编码                          |
| projectId    | 是       | 项目id                            |
| graphId      | 否       | 图主键                            |
| graphCode    | 否       | 图编码                            |
| relCode      | 否       | 关系编码                          |
| objFrom      | 否       | 来源对象id                        |
| objTo        | 否       | 目标对象id                        |
| valid        | 是       | 合法标识,1-有效,0-无效            |
| creator      | 否       | 创建人账号id                      |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:15:09 | 新增 | 新增接口 |



### 22003 新增物理世界对象关系-批量新增(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/create?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
[
    {
        "graphCode": "图类型编码",
        "graphId": "图类型Id",
        "relCode": "边类型编码",
        "objFrom": "",
        "objTo": ""
    }
]
```

| 字段      | 子字段 | 是否必须 | 字段说明   |
| --------- | ------ | -------- | ---------- |
| graphCode |        | 否       | 图类型编码 |
| graphId   |        | 否       | 图类型Id   |
| relCode   |        | 否       | 边类型编码 |
| objFrom   |        | 否       | 来源对象id |
| objTo     |        | 否       | 去向对象id |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
            "id":"***",
            "graphCode": "图类型编码",
            "graphId": "图类型Id",
            "relCode": "边类型编码",
            "objFrom": "",
            "objTo": "",
            "valid":1,
            "creator":"创建人账号id",
            "creationTime":"创建时间,格式为yyyyMMddHHmmss",
            "modifiedTime":"最后更新时间,格式为yyyyMMddHHmmss",
            "modifier":"最后更新账号id"
        }
    ]
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| groupCode    | 否       | 集团编码                          |
| projectId    | 是       | 项目id                            |
| graphId      | 否       | 图主键                            |
| graphCode    | 否       | 图编码                            |
| relCode      | 否       | 关系编码                          |
| objFrom      | 否       | 来源对象id                        |
| objTo        | 否       | 目标对象id                        |
| valid        | 是       | 合法标识,1-有效,0-无效            |
| creator      | 否       | 创建人账号id                      |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:45:22 | 新增 | 新增接口 |



### 22004 根据对象id和关系查询对象列表(暂未实现)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/queryObjMesByObjIdsAndRelCode?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "projectId":"****",
	"objIds":["***","***"],
	"relCodes":["",""]
}
```

| 字段    | 子字段 | 是否必须 | 字段说明   |
| ------- | ------ | -------- | ---------- |
| objIds  |        | 否       | 对象id     |
| graphId |        | 否       | 图类型Id   |
| relCode |        | 否       | 边类型编码 |
| objFrom |        | 否       | 来源对象id |
| objTo   |        | 否       | 去向对象id |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
            "id":"***",
            "graphCode": "图类型编码",
            "graphId": "图类型Id",
            "relCode": "边类型编码",
            "objFrom": "",
            "objTo": "",
            "valid":1,
            "creator":"创建人账号id",
            "creationTime":"创建时间,格式为yyyyMMddHHmmss",
            "modifiedTime":"最后更新时间,格式为yyyyMMddHHmmss",
            "modifier":"最后更新账号id"
        }
    ]
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| groupCode    | 否       | 集团编码                          |
| projectId    | 是       | 项目id                            |
| graphId      | 否       | 图主键                            |
| graphCode    | 否       | 图编码                            |
| relCode      | 否       | 关系编码                          |
| objFrom      | 否       | 来源对象id                        |
| objTo        | 否       | 目标对象id                        |
| valid        | 是       | 合法标识,1-有效,0-无效            |
| creator      | 否       | 创建人账号id                      |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日11:45:22 | 新增 | 新增接口 |



## 图类型接口

### 23001 查询图类型(Deprecated)

接口:`http://localhost:8831/dmp-rwd/rwd/def/graph/query?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子(仅列举[通用查询](/utils/common.md)中criteria中可使用的字段,具体参数结构请见[通用查询](/utils/common.md))

```
{
  "id": "dev_1",
  "code": "专业",
  "name":"***",
  "firstCategory":"***",
  "secondCategory":"***",
  "remark":"***",
  "objectTypes": "PG",
  "creator":"Pj001",
  "creationTime":"***",
  "modifier":"***",
  "modifiedTime":"**",
  "valid":1
}
```

| 字段           | 是否必须 | 字段说明                          |
| -------------- | -------- | --------------------------------- |
| id             | 否       | 32位UUID                          |
| code           | 否       | 编码                              |
| name           | 否       | 名称                              |
| firstCategory  | 否       | 一级分类                          |
| secondCategory | 否       | 二级分类                          |
| remark         | 否       | 分类说明                          |
| objectTypes    | 否       | 关系两侧对象类别                  |
| creator        | 否       | 创建账号id                        |
| creationTime   | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifier       | 否       | 最后更新账号                      |
| modifiedTime   | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| valid          | 否       | 是否有效,0-无效,1-有效            |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
          "id": "dev_1",
          "code": "专业",
          "name":"***",
          "firstCategory":"***",
          "secondCategory":"***",
          "remark":"***",
          "objectTypes": "PG",
          "creator":"Pj001",
          "creationTime":"***",
          "modifier":"***",
          "modifiedTime":"**",
          "valid":1
        }
    ],
    "count": 26
}
```

| 字段           | 是否必有 | 字段说明                          |
| -------------- | -------- | --------------------------------- |
| id             | 是       | 32位UUID                          |
| code           | 是       | 编码                              |
| name           | 是       | 名称                              |
| firstCategory  | 否       | 一级分类                          |
| secondCategory | 否       | 二级分类                          |
| remark         | 否       | 分类说明                          |
| objectTypes    | 否       | 关系两侧对象类别                  |
| creator        | 否       | 创建账号id                        |
| creationTime   | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifier       | 否       | 最后更新账号                      |
| modifiedTime   | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| valid          | 否       | 是否有效,0-无效,1-有效            |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日22:51:10 | 新增 | 新增接口 |



### 23002 新增图类型(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/graph/create?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "code": "专业",
    "name":"***",
    "firstCategory":"***",
    "secondCategory":"***",
    "remark":"***",
    "objectTypes": "PG"
}
```

| 字段           | 是否必须 | 字段说明           |
| -------------- | -------- | ------------------ |
| code           | 是       | 编码,长度<=40字符  |
| name           | 是       | 名称,长度<=200字符 |
| firstCategory  | 否       | 一级分类           |
| secondCategory | 否       | 二级分类           |
| remark         | 否       | 分类说明           |
| objectTypes    | 否       | 关系两侧对象类别   |

#### 成功例子

```
{
    "result": "success",
    "data": {
          "id": "dev_1",
          "code": "专业",
          "name":"***",
          "firstCategory":"***",
          "secondCategory":"***",
          "remark":"***",
          "objectTypes": "PG",
          "creator":"Pj001",
          "creationTime":"***",
          "modifier":"***",
          "modifiedTime":"**",
          "valid":1
    },
    "count": 26
}
```

| 字段           | 是否必有 | 字段说明                          |
| -------------- | -------- | --------------------------------- |
| id             | 是       | 32位UUID                          |
| code           | 是       | 编码                              |
| name           | 是       | 名称                              |
| firstCategory  | 否       | 一级分类                          |
| secondCategory | 否       | 二级分类                          |
| remark         | 否       | 分类说明                          |
| objectTypes    | 否       | 关系两侧对象类别                  |
| creator        | 否       | 创建账号id                        |
| creationTime   | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifier       | 否       | 最后更新账号                      |
| modifiedTime   | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| valid          | 否       | 是否有效,0-无效,1-有效            |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日22:55:28 | 新增 | 新增接口 |



### 23003 更新图类型(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/graph/update?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "id":"***",
    "code": "专业",
    "name":"***",
    "firstCategory":"***",
    "secondCategory":"***",
    "remark":"***",
    "objectTypes": "PG"
}
```

| 字段           | 是否必须 | 字段说明           |
| -------------- | -------- | ------------------ |
| id             | 是       | 32位uuid           |
| code           | 是       | 编码,长度<=40字符  |
| name           | 是       | 名称,长度<=200字符 |
| firstCategory  | 否       | 一级分类           |
| secondCategory | 否       | 二级分类           |
| remark         | 否       | 分类说明           |
| objectTypes    | 否       | 关系两侧对象类别   |

#### 成功例子

```
{
    "result": "success",
    "data": {
          "id": "dev_1",
          "code": "专业",
          "name":"***",
          "firstCategory":"***",
          "secondCategory":"***",
          "remark":"***",
          "objectTypes": "PG",
          "creator":"Pj001",
          "creationTime":"***",
          "modifier":"***",
          "modifiedTime":"**",
          "valid":1
    },
    "count": 26
}
```

| 字段           | 是否必有 | 字段说明                          |
| -------------- | -------- | --------------------------------- |
| id             | 是       | 32位UUID                          |
| code           | 是       | 编码                              |
| name           | 是       | 名称                              |
| firstCategory  | 否       | 一级分类                          |
| secondCategory | 否       | 二级分类                          |
| remark         | 否       | 分类说明                          |
| objectTypes    | 否       | 关系两侧对象类别                  |
| creator        | 否       | 创建账号id                        |
| creationTime   | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifier       | 否       | 最后更新账号                      |
| modifiedTime   | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| valid          | 否       | 是否有效,0-无效,1-有效            |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日22:55:28 | 新增 | 新增接口 |



### 23004 删除图类型(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/graph/delete?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
"****"
```

| 字段 | 是否必须 | 字段说明 |
| ---- | -------- | -------- |
| id   | 是       | 32位uuid |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:08:48 | 新增 | 新增接口 |



## 边类型接口

### 24001 查询边类型(Deprecated)

接口:`http://localhost:8831/dmp-rwd/rwd/def/rel/query?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子(仅列举[通用查询](/utils/common.md)中criteria中可使用的字段,具体参数结构请见[通用查询](/utils/common.md))

```
{
  "id": "dev_1",
  "code": "专业",
  "name":"***",
  "graphCode":"***",
  "directional":"***",
  "attribute":"***",
  "targetObjs": "PG",
  "remark":"***",
  "creator":"Pj001",
  "creationTime":"***",
  "modifier":"***",
  "modifiedTime":"**",
  "valid":1
}
```

| 字段         | 是否必须 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 否       | 32位UUID                          |
| code         | 否       | 边类型编码                        |
| name         | 否       | 边类型名称                        |
| graphCode    | 否       | 图类型编码                        |
| directional  | 否       | 边方向性                          |
| attribute    | 否       | 边属性                            |
| targetObjs   | 否       | 主要连接对象                      |
| remark       | 否       | 备注                              |
| creator      | 否       | 创建账号id                        |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifier     | 否       | 最后更新账号                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| valid        | 否       | 是否有效,0-无效,1-有效            |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
          "id": "dev_1",
          "code": "专业",
          "name":"***",
          "graphCode":"***",
          "directional":"***",
          "attribute":"***",
          "targetObjs": "PG",
          "remark":"***",
          "creator":"Pj001",
          "creationTime":"***",
          "modifier":"***",
          "modifiedTime":"**",
          "valid":1
        }
    ],
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| code         | 是       | 边类型编码                        |
| name         | 是       | 边类型名称                        |
| graphCode    | 是       | 图类型编码                        |
| directional  | 否       | 边方向性                          |
| attribute    | 否       | 边属性                            |
| targetObjs   | 否       | 主要连接对象                      |
| remark       | 否       | 备注                              |
| creator      | 否       | 创建账号id                        |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifier     | 否       | 最后更新账号                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| valid        | 否       | 是否有效,0-无效,1-有效            |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月17日00:03:18 | 新增 | 新增接口 |



### 24002 新增边类型(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/rel/create?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "code": "专业",
  "name":"***",
  "graphCode":"***",
  "directional":"***",
  "attribute":"***",
  "targetObjs": "PG",
  "remark":"***"
}
```

| 字段        | 是否必须 | 字段说明     |
| ----------- | -------- | ------------ |
| code        | 是       | 边类型编码   |
| name        | 是       | 边类型名称   |
| graphCode   | 是       | 图类型编码   |
| directional | 是       | 边方向性     |
| attribute   | 否       | 边属性       |
| targetObjs  | 否       | 主要连接对象 |
| remark      | 否       | 备注         |

#### 成功例子

```
{
    "result": "success",
    "data": {
        "id": "dev_1",
        "code": "专业",
        "name":"***",
        "graphCode":"***",
        "directional":"***",
        "attribute":"***",
        "targetObjs": "PG",
        "remark":"***",
        "creator":"Pj001",
        "creationTime":"***",
        "modifier":"***",
        "modifiedTime":"**",
        "valid":1
    },
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| code         | 是       | 边类型编码                        |
| name         | 是       | 边类型名称                        |
| graphCode    | 是       | 图类型编码                        |
| directional  | 否       | 边方向性                          |
| attribute    | 否       | 边属性                            |
| targetObjs   | 否       | 主要连接对象                      |
| remark       | 否       | 备注                              |
| creator      | 否       | 创建账号id                        |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifier     | 否       | 最后更新账号                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| valid        | 否       | 是否有效,0-无效,1-有效            |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月17日00:05:38 | 新增 | 新增接口 |



### 24003 更新边类型(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/rel/update?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
  "id": "dev_1",
  "code": "专业",
  "name":"***",
  "graphCode":"***",
  "directional":"***",
  "attribute":"***",
  "targetObjs": "PG",
  "remark":"***",
  "creator":"Pj001",
  "creationTime":"***",
  "modifier":"***",
  "modifiedTime":"**",
  "valid":1
}
```

| 字段         | 是否必须 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 否       | 32位UUID                          |
| code         | 否       | 边类型编码                        |
| name         | 否       | 边类型名称                        |
| graphCode    | 否       | 图类型编码                        |
| directional  | 否       | 边方向性                          |
| attribute    | 否       | 边属性                            |
| targetObjs   | 否       | 主要连接对象                      |
| remark       | 否       | 备注                              |
| creator      | 否       | 创建账号id                        |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifier     | 否       | 最后更新账号                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| valid        | 否       | 是否有效,0-无效,1-有效            |

#### 成功例子

```
{
    "result": "success",
    "data": {
        "id": "dev_1",
        "code": "专业",
        "name":"***",
        "graphCode":"***",
        "directional":"***",
        "attribute":"***",
        "targetObjs": "PG",
        "remark":"***",
        "creator":"Pj001",
        "creationTime":"***",
        "modifier":"***",
        "modifiedTime":"**",
        "valid":1
    },
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| code         | 是       | 边类型编码                        |
| name         | 是       | 边类型名称                        |
| graphCode    | 是       | 图类型编码                        |
| directional  | 否       | 边方向性                          |
| attribute    | 否       | 边属性                            |
| targetObjs   | 否       | 主要连接对象                      |
| remark       | 否       | 备注                              |
| creator      | 否       | 创建账号id                        |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifier     | 否       | 最后更新账号                      |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| valid        | 否       | 是否有效,0-无效,1-有效            |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月17日00:06:40 | 新增 | 新增接口 |



### 24004 删除边类型(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/rel/delete?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
"****"
```

| 字段 | 是否必须 | 字段说明 |
| ---- | -------- | -------- |
| id   | 是       | 32位uuid |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:08:48 | 新增 | 新增接口 |



## 对象信息点接口

### 25001 查询对象信息点(Deprecated)

接口:`http://localhost:8831/dmp-rwd/rwd/def/funcid?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子(仅列举[通用查询](/utils/common.md)中criteria中可使用的字段,具体参数结构请见[通用查询](/utils/common.md))

```
{
  "id": "dev_1",
  "code": "专业",
  "name":"***",
  "aliasCode":"***",
  "aliasName":"***",
  "classCode":"***",
  "groupCode": "PG",
  "projectId":"***",
  "category":"***",
  "firstTag":"***",
  "secondTag":"***",
  "priority":"***",
  "inputMode":"***",
  "unit":"***",
  "dataType":"****",
  "isMultiple":"***",
  "isRegion":"***",
  "formater":"***",
  "dataSource":{},
  "remark":"***",
  "subFlag":0,
  "weakPoint":0,
  "showOrder":12,
  "version":"***",
  "creator":"Pj001",
  "creationTime":"***",
  "modifier":"***",
  "modifiedTime":"**",
  "valid":1
}
```

| 字段         | 是否必须 | 字段说明                                                     |
| ------------ | -------- | ------------------------------------------------------------ |
| id           | 否       | 32位UUID                                                     |
| code         | 否       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name         | 否       | 信息点名称                                                   |
| aliasCode    | 否       | 一级分类                                                     |
| aliasName    | 否       | 二级分类                                                     |
| classCode    | 否       | 类型编码                                                     |
| groupCode    | 否       | 集团编码                                                     |
| projectId    | 否       | 项目id                                                       |
| category     | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag     | 否       | 一级标签                                                     |
| secondTag    | 否       | 二级标签                                                     |
| priority     | 否       | 优先级                                                       |
| inputMode    | 否       | 输入方式                                                     |
| unit         | 否       | 单位                                                         |
| dataType     | 否       | 数据类型                                                     |
| isMultiple   | 否       | 是否复数                                                     |
| isRegion     | 否       | 是否区间                                                     |
| formater     | 否       | 数据格式                                                     |
| dataSource   | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark       | 否       | 备注                                                         |
| subFlag      | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint    | 否       | 虚点                                                         |
| showOrder    | 否       | 显示顺序                                                     |
| version      | 否       | 最后修改版本                                                 |
| creator      | 否       | 创建账号id                                                   |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss                                |
| modifier     | 否       | 最后更新账号                                                 |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                            |
| valid        | 否       | 是否有效,0-无效,1-有效                                       |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
          "id": "dev_1",
          "code": "专业",
          "name":"***",
          "aliasCode":"***",
          "aliasName":"***",
          "classCode":"***",
          "groupCode": "PG",
          "projectId":"***",
          "category":"***",
          "firstTag":"***",
          "secondTag":"***",
          "priority":"***",
          "inputMode":"***",
          "unit":"***",
          "dataType":"****",
          "isMultiple":"***",
          "isRegion":"***",
          "formater":"***",
          "dataSource":{},
          "remark":"***",
          "subFlag":0,
          "weakPoint":0,
          "showOrder":12,
          "version":"***",
          "creator":"Pj001",
          "creationTime":"***",
          "modifier":"***",
          "modifiedTime":"**",
          "valid":1
        }
    ],
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                                                     |
| ------------ | -------- | ------------------------------------------------------------ |
| id           | 是       | 32位UUID                                                     |
| code         | 是       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name         | 是       | 信息点名称                                                   |
| aliasCode    | 否       | 一级分类                                                     |
| aliasName    | 否       | 二级分类                                                     |
| classCode    | 否       | 类型编码                                                     |
| groupCode    | 否       | 集团编码                                                     |
| projectId    | 否       | 项目id                                                       |
| category     | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag     | 否       | 一级标签                                                     |
| secondTag    | 否       | 二级标签                                                     |
| priority     | 否       | 优先级                                                       |
| inputMode    | 否       | 输入方式                                                     |
| unit         | 否       | 单位                                                         |
| dataType     | 否       | 数据类型                                                     |
| isMultiple   | 否       | 是否复数                                                     |
| isRegion     | 否       | 是否区间                                                     |
| formater     | 否       | 数据格式                                                     |
| dataSource   | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark       | 否       | 备注                                                         |
| subFlag      | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint    | 否       | 虚点                                                         |
| showOrder    | 否       | 显示顺序                                                     |
| version      | 否       | 最后修改版本                                                 |
| creator      | 否       | 创建账号id                                                   |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss                                |
| modifier     | 否       | 最后更新账号                                                 |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                            |
| valid        | 否       | 是否有效,0-无效,1-有效                                       |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日22:51:10 | 新增 | 新增接口 |



### 25002 新增对象信息点(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/funcid/create?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "code": "专业",
    "name":"***",
    "aliasCode":"***",
    "aliasName":"***",
    "classCode":"***",
    "groupCode": "PG",
    "projectId":"***",
    "category":"***",
    "firstTag":"***",
    "secondTag":"***",
    "priority":"***",
    "inputMode":"***",
    "unit":"***",
    "dataType":"****",
    "isMultiple":"***",
    "isRegion":"***",
    "formater":"***",
    "dataSource":{},
    "remark":"***",
    "subFlag":0,
    "weakPoint":0,
    "showOrder":12,
    "version":"***"
}
```

| 字段       | 是否必须 | 字段说明                                                     |
| ---------- | -------- | ------------------------------------------------------------ |
| code       | 否       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name       | 否       | 信息点名称                                                   |
| aliasCode  | 否       | 别名编码                                                     |
| aliasName  | 否       | 别名名称                                                     |
| classCode  | 否       | 类型编码                                                     |
| groupCode  | 否       | 集团编码                                                     |
| projectId  | 否       | 项目id                                                       |
| category   | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag   | 否       | 一级标签                                                     |
| secondTag  | 否       | 二级标签                                                     |
| priority   | 否       | 优先级                                                       |
| inputMode  | 否       | 输入方式                                                     |
| unit       | 否       | 单位                                                         |
| dataType   | 否       | 数据类型                                                     |
| isMultiple | 否       | 是否复数                                                     |
| isRegion   | 否       | 是否区间                                                     |
| formater   | 否       | 数据格式                                                     |
| dataSource | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark     | 否       | 备注                                                         |
| subFlag    | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint  | 否       | 虚点                                                         |
| showOrder  | 否       | 显示顺序                                                     |
| version    | 否       | 最后修改版本                                                 |

#### 成功例子

```
{
    "result": "success",
    "data":{
          "id": "dev_1",
          "code": "专业",
          "name":"***",
          "aliasCode":"***",
          "aliasName":"***",
          "classCode":"***",
          "groupCode": "PG",
          "projectId":"***",
          "category":"***",
          "firstTag":"***",
          "secondTag":"***",
          "priority":"***",
          "inputMode":"***",
          "unit":"***",
          "dataType":"****",
          "isMultiple":"***",
          "isRegion":"***",
          "formater":"***",
          "dataSource":{},
          "remark":"***",
          "subFlag":0,
          "weakPoint":0,
          "showOrder":12,
          "version":"***",
          "creator":"Pj001",
          "creationTime":"***",
          "modifier":"***",
          "modifiedTime":"**",
          "valid":1
    },
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                                                     |
| ------------ | -------- | ------------------------------------------------------------ |
| id           | 是       | 32位UUID                                                     |
| code         | 是       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name         | 是       | 信息点名称                                                   |
| aliasCode    | 否       | 别名编码                                                     |
| aliasName    | 否       | 别名名称                                                     |
| classCode    | 否       | 类型编码                                                     |
| groupCode    | 否       | 集团编码                                                     |
| projectId    | 否       | 项目id                                                       |
| category     | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag     | 否       | 一级标签                                                     |
| secondTag    | 否       | 二级标签                                                     |
| priority     | 否       | 优先级                                                       |
| inputMode    | 否       | 输入方式                                                     |
| unit         | 否       | 单位                                                         |
| dataType     | 否       | 数据类型                                                     |
| isMultiple   | 否       | 是否复数                                                     |
| isRegion     | 否       | 是否区间                                                     |
| formater     | 否       | 数据格式                                                     |
| dataSource   | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark       | 否       | 备注                                                         |
| subFlag      | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint    | 否       | 虚点                                                         |
| showOrder    | 否       | 显示顺序                                                     |
| version      | 否       | 最后修改版本                                                 |
| creator      | 否       | 创建账号id                                                   |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss                                |
| modifier     | 否       | 最后更新账号                                                 |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                            |
| valid        | 否       | 是否有效,0-无效,1-有效                                       |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日22:55:28 | 新增 | 新增接口 |



### 25003 新增对象信息点-批量新增(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/funcid/createBatch?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
[
    {
        "code": "专业",
        "name":"***",
        "aliasCode":"***",
        "aliasName":"***",
        "classCode":"***",
        "groupCode": "PG",
        "projectId":"***",
        "category":"***",
        "firstTag":"***",
        "secondTag":"***",
        "priority":"***",
        "inputMode":"***",
        "unit":"***",
        "dataType":"****",
        "isMultiple":"***",
        "isRegion":"***",
        "formater":"***",
        "dataSource":{},
        "remark":"***",
        "subFlag":0,
        "weakPoint":0,
        "showOrder":12,
        "version":"***"
    }
]
```

| 字段       | 是否必须 | 字段说明                                                     |
| ---------- | -------- | ------------------------------------------------------------ |
| code       | 是       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name       | 是       | 信息点名称                                                   |
| aliasCode  | 是       | 别名编码                                                     |
| aliasName  | 是       | 别名名称                                                     |
| classCode  | 否       | 类型编码                                                     |
| groupCode  | 否       | 集团编码                                                     |
| projectId  | 否       | 项目id                                                       |
| category   | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag   | 否       | 一级标签                                                     |
| secondTag  | 否       | 二级标签                                                     |
| priority   | 否       | 优先级                                                       |
| inputMode  | 否       | 输入方式                                                     |
| unit       | 否       | 单位                                                         |
| dataType   | 否       | 数据类型                                                     |
| isMultiple | 否       | 是否复数                                                     |
| isRegion   | 否       | 是否区间                                                     |
| formater   | 否       | 数据格式                                                     |
| dataSource | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark     | 否       | 备注                                                         |
| subFlag    | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint  | 否       | 虚点                                                         |
| showOrder  | 否       | 显示顺序                                                     |
| version    | 否       | 最后修改版本                                                 |

#### 成功例子

```
{
    "result": "success",
    "data":[
        {
              "id": "dev_1",
              "code": "专业",
              "name":"***",
              "aliasCode":"***",
              "aliasName":"***",
              "classCode":"***",
              "groupCode": "PG",
              "projectId":"***",
              "category":"***",
              "firstTag":"***",
              "secondTag":"***",
              "priority":"***",
              "inputMode":"***",
              "unit":"***",
              "dataType":"****",
              "isMultiple":"***",
              "isRegion":"***",
              "formater":"***",
              "dataSource":{},
              "remark":"***",
              "subFlag":0,
              "weakPoint":0,
              "showOrder":12,
              "version":"***",
              "creator":"Pj001",
              "creationTime":"***",
              "modifier":"***",
              "modifiedTime":"**",
              "valid":1
        }
    ],
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                                                     |
| ------------ | -------- | ------------------------------------------------------------ |
| id           | 是       | 32位UUID                                                     |
| code         | 是       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name         | 是       | 信息点名称                                                   |
| aliasCode    | 否       | 别名编码                                                     |
| aliasName    | 否       | 别名名称                                                     |
| classCode    | 否       | 类型编码                                                     |
| groupCode    | 否       | 集团编码                                                     |
| projectId    | 否       | 项目id                                                       |
| category     | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag     | 否       | 一级标签                                                     |
| secondTag    | 否       | 二级标签                                                     |
| priority     | 否       | 优先级                                                       |
| inputMode    | 否       | 输入方式                                                     |
| unit         | 否       | 单位                                                         |
| dataType     | 否       | 数据类型                                                     |
| isMultiple   | 否       | 是否复数                                                     |
| isRegion     | 否       | 是否区间                                                     |
| formater     | 否       | 数据格式                                                     |
| dataSource   | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark       | 否       | 备注                                                         |
| subFlag      | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint    | 否       | 虚点                                                         |
| showOrder    | 否       | 显示顺序                                                     |
| version      | 否       | 最后修改版本                                                 |
| creator      | 否       | 创建账号id                                                   |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss                                |
| modifier     | 否       | 最后更新账号                                                 |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                            |
| valid        | 否       | 是否有效,0-无效,1-有效                                       |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日22:55:28 | 新增 | 新增接口 |



### 25004 更新对象信息点(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/funcid/update?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "id":"***",
    "code": "专业",
    "name":"***",
    "aliasCode":"***",
    "aliasName":"***",
    "classCode":"***",
    "groupCode": "PG",
    "projectId":"***",
    "category":"***",
    "firstTag":"***",
    "secondTag":"***",
    "priority":"***",
    "inputMode":"***",
    "unit":"***",
    "dataType":"****",
    "isMultiple":"***",
    "isRegion":"***",
    "formater":"***",
    "dataSource":{},
    "remark":"***",
    "subFlag":0,
    "weakPoint":0,
    "showOrder":12,
    "version":"***",
    "creator":"Pj001",
    "creationTime":"***",
    "modifier":"***",
    "modifiedTime":"**",
    "valid":1
}
```

| 字段         | 是否必须 | 字段说明                                                     |
| ------------ | -------- | ------------------------------------------------------------ |
| id           | 是       | 32位UUID                                                     |
| code         | 是       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name         | 是       | 信息点名称                                                   |
| aliasCode    | 是       | 别名名称                                                     |
| aliasName    | 是       | 别名名称                                                     |
| classCode    | 否       | 类型编码                                                     |
| groupCode    | 否       | 集团编码                                                     |
| projectId    | 否       | 项目id                                                       |
| category     | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag     | 否       | 一级标签                                                     |
| secondTag    | 否       | 二级标签                                                     |
| priority     | 否       | 优先级                                                       |
| inputMode    | 否       | 输入方式                                                     |
| unit         | 否       | 单位                                                         |
| dataType     | 否       | 数据类型                                                     |
| isMultiple   | 否       | 是否复数                                                     |
| isRegion     | 否       | 是否区间                                                     |
| formater     | 否       | 数据格式                                                     |
| dataSource   | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark       | 否       | 备注                                                         |
| subFlag      | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint    | 否       | 虚点                                                         |
| showOrder    | 否       | 显示顺序                                                     |
| version      | 否       | 最后修改版本                                                 |
| creator      | 否       | 创建账号id                                                   |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss                                |
| modifier     | 否       | 最后更新账号                                                 |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                            |
| valid        | 否       | 是否有效,0-无效,1-有效                                       |

#### 成功例子

```
{
    "result": "success",
    "data":{
          "id": "dev_1",
          "code": "专业",
          "name":"***",
          "aliasCode":"***",
          "aliasName":"***",
          "classCode":"***",
          "groupCode": "PG",
          "projectId":"***",
          "category":"***",
          "firstTag":"***",
          "secondTag":"***",
          "priority":"***",
          "inputMode":"***",
          "unit":"***",
          "dataType":"****",
          "isMultiple":"***",
          "isRegion":"***",
          "formater":"***",
          "dataSource":{},
          "remark":"***",
          "subFlag":0,
          "weakPoint":0,
          "showOrder":12,
          "version":"***",
          "creator":"Pj001",
          "creationTime":"***",
          "modifier":"***",
          "modifiedTime":"**",
          "valid":1
    },
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                                                     |
| ------------ | -------- | ------------------------------------------------------------ |
| id           | 是       | 32位UUID                                                     |
| code         | 是       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name         | 是       | 信息点名称                                                   |
| aliasCode    | 否       | 一级分类                                                     |
| aliasName    | 否       | 二级分类                                                     |
| classCode    | 否       | 类型编码                                                     |
| groupCode    | 否       | 集团编码                                                     |
| projectId    | 否       | 项目id                                                       |
| category     | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag     | 否       | 一级标签                                                     |
| secondTag    | 否       | 二级标签                                                     |
| priority     | 否       | 优先级                                                       |
| inputMode    | 否       | 输入方式                                                     |
| unit         | 否       | 单位                                                         |
| dataType     | 否       | 数据类型                                                     |
| isMultiple   | 否       | 是否复数                                                     |
| isRegion     | 否       | 是否区间                                                     |
| formater     | 否       | 数据格式                                                     |
| dataSource   | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark       | 否       | 备注                                                         |
| subFlag      | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint    | 否       | 虚点                                                         |
| showOrder    | 否       | 显示顺序                                                     |
| version      | 否       | 最后修改版本                                                 |
| creator      | 否       | 创建账号id                                                   |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss                                |
| modifier     | 否       | 最后更新账号                                                 |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                            |
| valid        | 否       | 是否有效,0-无效,1-有效                                       |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日22:55:28 | 新增 | 新增接口 |



### 25005 更新对象信息点-批量更新(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/funcid/updateBatch?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
[
    {
        "id":"***",
        "code": "专业",
        "name":"***",
        "aliasCode":"***",
        "aliasName":"***",
        "classCode":"***",
        "groupCode": "PG",
        "projectId":"***",
        "category":"***",
        "firstTag":"***",
        "secondTag":"***",
        "priority":"***",
        "inputMode":"***",
        "unit":"***",
        "dataType":"****",
        "isMultiple":"***",
        "isRegion":"***",
        "formater":"***",
        "dataSource":{},
        "remark":"***",
        "subFlag":0,
        "weakPoint":0,
        "showOrder":12,
        "version":"***",
        "creator":"Pj001",
        "creationTime":"***",
        "modifier":"***",
        "modifiedTime":"**",
        "valid":1
    }
]
```

| 字段         | 是否必须 | 字段说明                                                     |
| ------------ | -------- | ------------------------------------------------------------ |
| id           | 是       | 32位UUID                                                     |
| code         | 是       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name         | 是       | 信息点名称                                                   |
| aliasCode    | 是       | 别名编码                                                     |
| aliasName    | 是       | 别名名称                                                     |
| classCode    | 否       | 类型编码                                                     |
| groupCode    | 否       | 集团编码                                                     |
| projectId    | 否       | 项目id                                                       |
| category     | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag     | 否       | 一级标签                                                     |
| secondTag    | 否       | 二级标签                                                     |
| priority     | 否       | 优先级                                                       |
| inputMode    | 否       | 输入方式                                                     |
| unit         | 否       | 单位                                                         |
| dataType     | 否       | 数据类型                                                     |
| isMultiple   | 否       | 是否复数                                                     |
| isRegion     | 否       | 是否区间                                                     |
| formater     | 否       | 数据格式                                                     |
| dataSource   | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark       | 否       | 备注                                                         |
| subFlag      | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint    | 否       | 虚点                                                         |
| showOrder    | 否       | 显示顺序                                                     |
| version      | 否       | 最后修改版本                                                 |
| creator      | 否       | 创建账号id                                                   |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss                                |
| modifier     | 否       | 最后更新账号                                                 |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                            |
| valid        | 否       | 是否有效,0-无效,1-有效                                       |

#### 成功例子

```
{
    "result": "success",
    "data":[
        {
              "id": "dev_1",
              "code": "专业",
              "name":"***",
              "aliasCode":"***",
              "aliasName":"***",
              "classCode":"***",
              "groupCode": "PG",
              "projectId":"***",
              "category":"***",
              "firstTag":"***",
              "secondTag":"***",
              "priority":"***",
              "inputMode":"***",
              "unit":"***",
              "dataType":"****",
              "isMultiple":"***",
              "isRegion":"***",
              "formater":"***",
              "dataSource":{},
              "remark":"***",
              "subFlag":0,
              "weakPoint":0,
              "showOrder":12,
              "version":"***",
              "creator":"Pj001",
              "creationTime":"***",
              "modifier":"***",
              "modifiedTime":"**",
              "valid":1
        }
    ],
    "count": 26
}
```

| 字段         | 是否必有 | 字段说明                                                     |
| ------------ | -------- | ------------------------------------------------------------ |
| id           | 是       | 32位UUID                                                     |
| code         | 是       | 信息点编码,同类型下唯一,标准驼峰格式                         |
| name         | 是       | 信息点名称                                                   |
| aliasCode    | 否       | 一级分类                                                     |
| aliasName    | 否       | 二级分类                                                     |
| classCode    | 否       | 类型编码                                                     |
| groupCode    | 否       | 集团编码                                                     |
| projectId    | 否       | 项目id                                                       |
| category     | 否       | 信息点分类:静态,脉冲,阶段,时序                               |
| firstTag     | 否       | 一级标签                                                     |
| secondTag    | 否       | 二级标签                                                     |
| priority     | 否       | 优先级                                                       |
| inputMode    | 否       | 输入方式                                                     |
| unit         | 否       | 单位                                                         |
| dataType     | 否       | 数据类型                                                     |
| isMultiple   | 否       | 是否复数                                                     |
| isRegion     | 否       | 是否区间                                                     |
| formater     | 否       | 数据格式                                                     |
| dataSource   | 否       | 数据源取值范围/枚举值清单等,根据dataType有不同的内容         |
| remark       | 否       | 备注                                                         |
| subFlag      | 否       | 子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点 |
| weakPoint    | 否       | 虚点                                                         |
| showOrder    | 否       | 显示顺序                                                     |
| version      | 否       | 最后修改版本                                                 |
| creator      | 否       | 创建账号id                                                   |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss                                |
| modifier     | 否       | 最后更新账号                                                 |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                            |
| valid        | 否       | 是否有效,0-无效,1-有效                                       |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:38:15 | 新增 | 新增接口 |



### 25006 删除对象信息点(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/funcid/delete?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
"***"
```

| 字段 | 是否必须 | 字段说明 |
| ---- | -------- | -------- |
| id   | 是       | id数组   |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:40:48 | 新增 | 新增接口 |



### 25007 删除对象信息点-批量删除(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/funcid/deleteBatch?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
["***","***"]
```

| 字段       | 是否必须 | 字段说明                                                     |
| ---------- | -------- | ------------------------------------------------------------ |
| id         | 是       | id数组                                                       |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:40:48 | 新增 | 新增接口 |



## 对象类型定义接口

### 26001 查询对象类型定义(Deprecated)

接口:`http://localhost:8831/dmp-rwd/rwd/def/class?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子(仅列举[通用查询](/utils/common.md)中criteria中可使用的字段,具体参数结构请见[通用查询](/utils/common.md))

```
{
    "id":"***",
    "code": "专业",
    "name":"***",
    "aliasCode":"***",
    "aliasName":"***",
    "objType":"***",
    "groupCode": "PG",
    "projectId":"***",
    "majorCode":"***",
    "systemCode":"***",
    "equipmentCode":"***",
    "parentCode":"***",
    "version":"***",
    "creator":"Pj001",
    "creationTime":"***",
    "modifier":"***",
    "modifiedTime":"**",
    "valid":1,
    "type":"***"
}
```

| 字段          | 是否必须 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| id            | 否       | 32位UUID                                           |
| code          | 否       | 编码-全局唯一                                      |
| name          | 否       | 名称                                               |
| aliasCode     | 否       | 别名编码, 集团下唯一                               |
| aliasName     | 否       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| creator       | 否       | 创建账号id                                         |
| creationTime  | 否       | 创建时间,格式为yyyyMMddHHmmss                      |
| modifier      | 否       | 最后更新账号                                       |
| modifiedTime  | 否       | 最后更新时间,格式为yyyyMMddHHmmss                  |
| valid         | 否       | 是否有效,0-无效,1-有效                             |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 成功例子

```
{
    "result": "success",
    "data":{
            "id":"***",
            "code": "专业",
            "name":"***",
            "aliasCode":"***",
            "aliasName":"***",
            "objType":"***",
            "groupCode": "PG",
            "projectId":"***",
            "majorCode":"***",
            "systemCode":"***",
            "equipmentCode":"***",
            "parentCode":"***",
            "version":"***",
            "creator":"Pj001",
            "creationTime":"***",
            "modifier":"***",
            "modifiedTime":"**",
            "valid":1,
            "type":"***"
    },
    "count": 26
}
```

| 字段          | 是否必有 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| id            | 是       | 32位UUID                                           |
| code          | 是       | 编码-全局唯一                                      |
| name          | 是       | 名称                                               |
| aliasCode     | 是       | 别名编码, 集团下唯一                               |
| aliasName     | 是       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| creator       | 否       | 创建账号id                                         |
| creationTime  | 否       | 创建时间,格式为yyyyMMddHHmmss                      |
| modifier      | 否       | 最后更新账号                                       |
| modifiedTime  | 否       | 最后更新时间,格式为yyyyMMddHHmmss                  |
| valid         | 否       | 是否有效,0-无效,1-有效                             |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:55:48 | 新增 | 新增接口 |



### 26002 新增对象类型定义(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/class/create?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "code": "专业",
    "name":"***",
    "aliasCode":"***",
    "aliasName":"***",
    "objType":"***",
    "groupCode": "PG",
    "projectId":"***",
    "majorCode":"***",
    "systemCode":"***",
    "equipmentCode":"***",
    "parentCode":"***",
    "version":"***",
    "type":"***"
}
```

| 字段          | 是否必须 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| code          | 是       | 编码-全局唯一                                      |
| name          | 是       | 名称                                               |
| aliasCode     | 是       | 别名编码, 集团下唯一                               |
| aliasName     | 是       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 成功例子

```
{
    "result": "success",
    "data":{
        "id":"***",
        "code": "专业",
        "name":"***",
        "aliasCode":"***",
        "aliasName":"***",
        "objType":"***",
        "groupCode": "PG",
        "projectId":"***",
        "majorCode":"***",
        "systemCode":"***",
        "equipmentCode":"***",
        "parentCode":"***",
        "version":"***",
        "creator":"Pj001",
        "creationTime":"***",
        "modifier":"***",
        "modifiedTime":"**",
        "valid":1,
        "type":"***"
    },
    "count": 26
}
```

| 字段          | 是否必有 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| id            | 是       | 32位UUID                                           |
| code          | 是       | 编码-全局唯一                                      |
| name          | 是       | 名称                                               |
| aliasCode     | 是       | 别名编码, 集团下唯一                               |
| aliasName     | 是       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| creator       | 否       | 创建账号id                                         |
| creationTime  | 否       | 创建时间,格式为yyyyMMddHHmmss                      |
| modifier      | 否       | 最后更新账号                                       |
| modifiedTime  | 否       | 最后更新时间,格式为yyyyMMddHHmmss                  |
| valid         | 否       | 是否有效,0-无效,1-有效                             |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:53:52 | 新增 | 新增接口 |



### 26003 新增对象类型定义-批量新增(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/class/createBatch?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
[
    {
        "code": "专业",
        "name":"***",
        "aliasCode":"***",
        "aliasName":"***",
        "objType":"***",
        "groupCode": "PG",
        "projectId":"***",
        "majorCode":"***",
        "systemCode":"***",
        "equipmentCode":"***",
        "parentCode":"***",
        "version":"***",
        "type":"***"
    }
]
```

| 字段          | 是否必须 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| code          | 是       | 编码-全局唯一                                      |
| name          | 是       | 名称                                               |
| aliasCode     | 是       | 别名编码, 集团下唯一                               |
| aliasName     | 是       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 成功例子

```
{
    "result": "success",
    "data":[
        {
                "id":"***",
                "code": "专业",
                "name":"***",
                "aliasCode":"***",
                "aliasName":"***",
                "objType":"***",
                "groupCode": "PG",
                "projectId":"***",
                "majorCode":"***",
                "systemCode":"***",
                "equipmentCode":"***",
                "parentCode":"***",
                "version":"***",
                "creator":"Pj001",
                "creationTime":"***",
                "modifier":"***",
                "modifiedTime":"**",
                "valid":1,
                "type":"***"
        }
    ],
    "count": 26
}
```

| 字段          | 是否必有 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| id            | 是       | 32位UUID                                           |
| code          | 是       | 编码-全局唯一                                      |
| name          | 是       | 名称                                               |
| aliasCode     | 是       | 别名编码, 集团下唯一                               |
| aliasName     | 是       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| creator       | 否       | 创建账号id                                         |
| creationTime  | 否       | 创建时间,格式为yyyyMMddHHmmss                      |
| modifier      | 否       | 最后更新账号                                       |
| modifiedTime  | 否       | 最后更新时间,格式为yyyyMMddHHmmss                  |
| valid         | 否       | 是否有效,0-无效,1-有效                             |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日22:55:28 | 新增 | 新增接口 |



### 26004 更新对象类型定义(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/class/update?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "id":"***",
    "code": "专业",
    "name":"***",
    "aliasCode":"***",
    "aliasName":"***",
    "objType":"***",
    "groupCode": "PG",
    "projectId":"***",
    "majorCode":"***",
    "systemCode":"***",
    "equipmentCode":"***",
    "parentCode":"***",
    "version":"***",
    "creator":"Pj001",
    "creationTime":"***",
    "modifier":"***",
    "modifiedTime":"**",
    "valid":1,
    "type":"***"
}
```

| 字段          | 是否必须 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| id            | 是       | 32位UUID                                           |
| code          | 是       | 编码-全局唯一                                      |
| name          | 是       | 名称                                               |
| aliasCode     | 是       | 别名编码, 集团下唯一                               |
| aliasName     | 是       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| creator       | 否       | 创建账号id                                         |
| creationTime  | 否       | 创建时间,格式为yyyyMMddHHmmss                      |
| modifier      | 否       | 最后更新账号                                       |
| modifiedTime  | 否       | 最后更新时间,格式为yyyyMMddHHmmss                  |
| valid         | 否       | 是否有效,0-无效,1-有效                             |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 成功例子

```
{
    "result": "success",
    "data":{
            "id":"***",
            "code": "专业",
            "name":"***",
            "aliasCode":"***",
            "aliasName":"***",
            "objType":"***",
            "groupCode": "PG",
            "projectId":"***",
            "majorCode":"***",
            "systemCode":"***",
            "equipmentCode":"***",
            "parentCode":"***",
            "version":"***",
            "creator":"Pj001",
            "creationTime":"***",
            "modifier":"***",
            "modifiedTime":"**",
            "valid":1,
            "type":"***"
    },
    "count": 26
}
```

| 字段          | 是否必有 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| id            | 是       | 32位UUID                                           |
| code          | 是       | 编码-全局唯一                                      |
| name          | 是       | 名称                                               |
| aliasCode     | 是       | 别名编码, 集团下唯一                               |
| aliasName     | 是       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| creator       | 否       | 创建账号id                                         |
| creationTime  | 否       | 创建时间,格式为yyyyMMddHHmmss                      |
| modifier      | 否       | 最后更新账号                                       |
| modifiedTime  | 否       | 最后更新时间,格式为yyyyMMddHHmmss                  |
| valid         | 否       | 是否有效,0-无效,1-有效                             |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日22:55:28 | 新增 | 新增接口 |



### 26005 更新对象类型定义-批量更新(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/class/updateBatch?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
[
    {
        "id":"***",
        "code": "专业",
        "name":"***",
        "aliasCode":"***",
        "aliasName":"***",
        "objType":"***",
        "groupCode": "PG",
        "projectId":"***",
        "majorCode":"***",
        "systemCode":"***",
        "equipmentCode":"***",
        "parentCode":"***",
        "version":"***",
        "creator":"Pj001",
        "creationTime":"***",
        "modifier":"***",
        "modifiedTime":"**",
        "valid":1,
        "type":"***"
    }
]
```

| 字段          | 是否必须 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| id            | 是       | 32位UUID                                           |
| code          | 是       | 编码-全局唯一                                      |
| name          | 是       | 名称                                               |
| aliasCode     | 是       | 别名编码, 集团下唯一                               |
| aliasName     | 是       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| creator       | 否       | 创建账号id                                         |
| creationTime  | 否       | 创建时间,格式为yyyyMMddHHmmss                      |
| modifier      | 否       | 最后更新账号                                       |
| modifiedTime  | 否       | 最后更新时间,格式为yyyyMMddHHmmss                  |
| valid         | 否       | 是否有效,0-无效,1-有效                             |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 成功例子

```
{
    "result": "success",
    "data":[
        {
            "id":"***",
            "code": "专业",
            "name":"***",
            "aliasCode":"***",
            "aliasName":"***",
            "objType":"***",
            "groupCode": "PG",
            "projectId":"***",
            "majorCode":"***",
            "systemCode":"***",
            "equipmentCode":"***",
            "parentCode":"***",
            "version":"***",
            "creator":"Pj001",
            "creationTime":"***",
            "modifier":"***",
            "modifiedTime":"**",
            "valid":1,
            "type":"***"
        }
    ],
    "count": 26
}
```

| 字段          | 是否必有 | 字段说明                                           |
| ------------- | -------- | -------------------------------------------------- |
| id            | 是       | 32位UUID                                           |
| code          | 是       | 编码-全局唯一                                      |
| name          | 是       | 名称                                               |
| aliasCode     | 是       | 别名编码, 集团下唯一                               |
| aliasName     | 是       | 别名名称                                           |
| objType       | 否       | 大类型:项目建筑楼层空间系统设备竖井                |
| groupCode     | 否       | 集团编码                                           |
| projectId     | 否       | 项目id                                             |
| majorCode     | 否       | 信息点分类:静态,脉冲,阶段,时序                     |
| systemCode    | 否       | 一级标签                                           |
| equipmentCode | 否       | 二级标签                                           |
| parentCode    | 否       | 优先级                                             |
| version       | 否       | 最后修改版本                                       |
| creator       | 否       | 创建账号id                                         |
| creationTime  | 否       | 创建时间,格式为yyyyMMddHHmmss                      |
| modifier      | 否       | 最后更新账号                                       |
| modifiedTime  | 否       | 最后更新时间,格式为yyyyMMddHHmmss                  |
| valid         | 否       | 是否有效,0-无效,1-有效                             |
| type          | 否       | 管理层级:common-平台级,group-集团级,project-项目级 |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:38:15 | 新增 | 新增接口 |



### 26006 删除对象类型定义(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/class/delete?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
"***"
```

| 字段 | 是否必须 | 字段说明 |
| ---- | -------- | -------- |
| id   | 是       | id数组   |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:40:48 | 新增 | 新增接口 |



### 26007 删除对象类型定义-批量删除(Deprecated)

#### 接口

`http://localhost:8831/dmp-rwd/rwd/def/class/deleteBatch?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
["***","***"]
```

| 字段 | 是否必须 | 字段说明 |
| ---- | -------- | -------- |
| id   | 是       | id数组   |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月16日23:40:48 | 新增 | 新增接口 |

## IOT接口

### 通用参数说明

以下参数放在 url 后

| 字段      | 数据类型 | 说明               |
| --------- | -------- | ------------------ |
| groupCode | String   | 集团编码, 不可为空 |
| projectId | String   | 项目 id, 不可为空  |
| appId     | String   | 应用 id, 不可为空  |

### 27001 查询实时数据

#### 接口说明

```
查询对象绑点信息点的实时数据
```

#### 请求地址

```
POST: http://localhost:8831/dmp-rwd/rwd/iot/data/current
```

#### 请求参数

```
[
    { "objectId": "Eqxxxxx", "infoCode": "tdb" },
    { "objectId": "Eqxxxxx", "infoCode": "co2" },
    { "objectId": "Eqxxxxx", "infoCode": "hcho" }
]
```

#### 返回内容

```
{
    "result": "success",
    "data": [
        {
            "objectId": "Eqxxxxx",
            "infoCode": "tdb",
            "infoValue": "8000-123",
            "data": 25.6,
            "time": "20200512172435"
        },
        {
            "objectId": "Eqxxxxx",
            "infoCode": "tdb",
            "infoValue": "8000-123",
            "data": 25.6,
            "time": "20200512172435"
        },
        {
            "objectId": "Eqxxxxx",
            "infoCode": "tdb",
            "error": "错误信息:信息点不存在,表号功能号配置错误,断数等"
        }
    ]
}
```

#### 返回内容说明

```
    infoValue: 信息点配置的内容即绑定的表号功能号
    time: 实时数据的采集时间
    data: 实时数据的值

```

### 27002  查询历史数据/分精度数据

#### 接口说明

```
查询对象绑点信息点的历史数据
1. 多点位个数最多支持50个
2. 分钟级数据，单点位支持最大7天数据查询，多点位支持最大1天数据查询；
3. 小时级数据，单点支持最大30天数据查询，多点位支持最大3天数据查询；
4. 日级数据，单点支持最大1年数据查询，多点位支持最大30天数据查询；
```

#### 请求地址

```
POST: http://localhost:8831/dmp-rwd/rwd/iot/data/history
```

#### 请求参数

```
{
    "startTime": "20200415120000",
    "endTime": "20200501120000",
    "period": "分精度类型，支持 1min、5min、15min、1h、1d",
    "params": [
        {
            "objectId": "对象id",
            "infoCode": "信息点编码",
        },
        {
            "objectId": "对象id",
            "infoCode": "信息点编码",
        }
    ]
}
```

#### 参数说明

```
    startTime:
    period: 必填,间隔
    objectId: 必填,对象id
    infoCode: 必填,信息点ID
```

#### 返回内容

```
{
    "result": "success",
    "data": [
        {
            "objectId": "对象id",
            "infoCode": "信息点编码",
            "data": [
                {
                    "time": "20200415120000"
                    "data": 25.6,
                },
                {
                    "time": "20200415120500"
                    "data": 25.6,
                }
            ]
        },
        {
            "objectId": "对象id",
            "infoCode": "信息点编码",
            "data": [
                {
                    "time": "20200415120000"
                    "data": 25.6,
                },
                {
                    "time": "20200415120500"
                    "data": 25.6,
                }
            ]
        }
    ]
}
```

#### 返回内容说明

```
返回数据的time可能是不连续的

```

### 27003 发送控制指令/设定动态参数

#### 接口说明

```
该接口为异步方式

```

#### 请求地址

```
POST: http://localhost:8831/dmp-rwd/rwd/iot/funcid/setting
```

#### 请求参数

```
[
    { "objectId": "Eqxxxxx", "infoCode": "FanFreqSet", value: 24 },
    { "objectId": "Eqxxxxx", "infoCode": "InValveSwitchSet", value: "a" },
    { "objectId": "Eqxxxxx", "infoCode": "WaterInOutDetaTempSet", value: 10 }
]
```

#### 请求参数说明

```
value要严格匹配信息点定义的数据类型
```

#### 返回内容

```
{
    "result": "success",
    "data": [
        {
            "objectId": "Eqxxxxx",
            "infoCode": "FanFreqSet",
            "exeCode":"sfge131v4t2vs3423rbsb3"
        },
        {
            "objectId": "Eqxxxxx",
            "infoCode": "InValveSwitchSet",
            "exeCode":"sfge131v4t2vs3423rbsb3"
        },
        {
            "objectId": "Eqxxxxx",
            "infoCode": "InValveSwitchSet",
            "exeCode":"sfge131v4t2vs3423rbsb3"
        }
    ]
}
```

#### 返回内容说明

```
    exeCode: 指令查询码,用于查询指令执行结果
```

### 27004 查询指令执行结果

#### 请求地址

```
POST: http://localhost:8831/dmp-rwd/iot/funcid/settingQuery
```

#### 请求参数

```
[ "sfge131v4t2vs3423rbqb3", "e1ge131v4t2vs3423rbsb3", "eaqge131v4t2vs3423rger" ]
```

#### 返回内容

```
{
    "result": "success",
    "data": [
        {
            "exeCode": "sfge131v4t2vs3423rbqb3",
            "exeResult": "timeout",
        },
        {
            "exeCode": "e1ge131v4t2vs3423rbsb3",
            "exeResult": "running",
        },
        {
            "exeCode": "eaqge131v4t2vs3423rger",
            "exeResult": "failed",
        }
    ]
}
```

#### 控制指令执行结果说明(待定)

```
控制指令执行结果为一个字符串，其可能值有以下几种：
- finish:success，执行完成
- timeout，表示控制指令已下发但超过了合理响应时间(默认1minute,系统可配置)至今一直为得到反馈
- running，表示控制指令已下发在合理响应时间内还未得到反馈
- failed，指令未下发出去
- success-offline，指令已下发出去，并得到了反馈，'success-'后面的字符为反馈的信息

```



## 数据迁移接口

### 28001 查询对象类型定义

接口:`http://localhost:8831/dmp-rwd/migrate/digital/start?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 否       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
   "orgUrl":"数据中台组织服务url前缀（不含最后的/)",
   "oldSchema":"数据中台使用的数据库实例",
   "groupCode":"指定集团编码【单个或数组】 - 为空表示不限集团",
   "projectId":"指定项目ID【单个或数组】 - 为空表示不限项目"
}
```

| 字段      | 是否必须 | 字段说明                                      |
| --------- | -------- | --------------------------------------------- |
| orgUrl    | 否       | 数据中台组织服务url前缀（不含最后的/)         |
| oldSchema | 否       | 数据中台使用的数据库实例                      |
| groupCode | 否       | 指定集团编码【单个或数组】 - 为空表示不限集团 |
| projectId | 否       | 指定项目ID【单个或数组】 - 为空表示不限项目   |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年8月17日00:11:42 | 新增 | 新增接口 |



## 关系计算接口

> 本类接口为兼容ADM而生,待业务梳理清楚后再决定是否保留

### 29001 根据id,localId,name,localName,CADID及关系类型信息,对象分类信息创建关系

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/compatible/createObjRelationsByKeywordAndObjType?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "graphCode":"****",
	"relCode":"****",
	"masterObjType":"***",
	"slaveObjType":"***",
	"type":"***",
	"hasRelValue":true,
	"hasFilterClassCode":true,
	"hasCheckSensor":true,
	"hasCheckClassCode":true,
	"checkClassCodes":["***","***"],
	"checkSensorCodes":["***","***"],
	"sign":"1",
	"mainContent":"***",
	"slaveContent":["***"]
}
```

| 字段               | 是否必须 | 字段说明                                                     |
| ------------------ | -------- | ------------------------------------------------------------ |
| graphCode          | 是       | 图类型编码                                                   |
| relCode            | 是       | 边类型编码                                                   |
| masterObjType      | 是       | 主对象类型                                                   |
| slaveObjType       | 是       | 从对象类型                                                   |
| type               | 是       | 编码类型，CADID图纸编码(cadId),设备名称(name),设备ID(id),本地编码(localId),本地名称(localName) |
| mainContent        | 是       | 主对象内容                                                   |
| slaveContent       | 是       | 从对象内容                                                   |
| sign               | 否       | 计算标记 1 为手动 2为自动                                    |
| hasRelValue        | 否       | 创建关系时是否带上relValue,默认不赋值                        |
| hasFilterClassCode | 否       | 查询从对象时是否过滤classCode,true-过滤,false-不过滤,默认不过滤 |
| hasCheckSensor     | 否       | 是否检查传感器类型,true-检查,false-不检查,默认不检查.        |
| hasCheckClassCode  | 否       | 是否检查classCode,true-检查,false-不检查,默认不检查          |
| checkClassCodes    | 否       | 是否检查classCode使用的classCodes列表                        |
| checkSensorCodes   | 否       | 是否检查传感器使用的传感器类型列表                           |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
            "id":"***",
            "graphCode": "图类型编码",
            "graphId": "图类型Id",
            "relCode": "边类型编码",
            "objFrom": "",
            "objTo": "",
            "valid":1,
            "creator":"创建人账号id",
            "creationTime":"创建时间,格式为yyyyMMddHHmmss",
            "modifiedTime":"最后更新时间,格式为yyyyMMddHHmmss",
            "modifier":"最后更新账号id"
        }
    ]
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| groupCode    | 否       | 集团编码                          |
| projectId    | 是       | 项目id                            |
| graphId      | 否       | 图主键                            |
| graphCode    | 否       | 图编码                            |
| relCode      | 否       | 关系编码                          |
| objFrom      | 否       | 来源对象id                        |
| objTo        | 否       | 目标对象id                        |
| valid        | 是       | 合法标识,1-有效,0-无效            |
| creator      | 否       | 创建人账号id                      |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |

#### 接口修改记录

| 操作时间             | 操作 | 操作内容 |
| -------------------- | ---- | -------- |
| 2021年9月2日20:56:41 | 新增 | 新增接口 |



### 29002 根据fromId,toId,relType,graphCode删除关系

> 不用删除关系接口是因为这个接口还得处理一下计算的业务

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/compatible/deleteObjRelationsByRelId?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "graphCode":"****",
	"relCode":"****",
	"objFrom":"***",
	"objTo":"***"
}
```

| 字段      | 是否必须 | 字段说明   |
| --------- | -------- | ---------- |
| graphCode | 是       | 图类型编码 |
| relCode   | 是       | 边类型编码 |
| objFrom   | 是       | 来源对象   |
| objTo     | 是       | 去向对象   |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
            "id":"***",
            "graphCode": "图类型编码",
            "graphId": "图类型Id",
            "relCode": "边类型编码",
            "objFrom": "",
            "objTo": "",
            "valid":1,
            "creator":"创建人账号id",
            "creationTime":"创建时间,格式为yyyyMMddHHmmss",
            "modifiedTime":"最后更新时间,格式为yyyyMMddHHmmss",
            "modifier":"最后更新账号id"
        }
    ]
}
```

| 字段         | 是否必有 | 字段说明                          |
| ------------ | -------- | --------------------------------- |
| id           | 是       | 32位UUID                          |
| groupCode    | 否       | 集团编码                          |
| projectId    | 是       | 项目id                            |
| graphId      | 否       | 图主键                            |
| graphCode    | 否       | 图编码                            |
| relCode      | 否       | 关系编码                          |
| objFrom      | 否       | 来源对象id                        |
| objTo        | 否       | 目标对象id                        |
| valid        | 是       | 合法标识,1-有效,0-无效            |
| creator      | 否       | 创建人账号id                      |
| creationTime | 否       | 创建时间,格式为yyyyMMddHHmmss     |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss |
| modifier     | 否       | 最后更新账号id                    |

#### 接口修改记录

| 操作时间             | 操作 | 操作内容 |
| -------------------- | ---- | -------- |
| 2021年9月2日20:56:41 | 新增 | 新增接口 |



### 29003 关系计算接口

#### 接口

`http://localhost:8831/dmp-rwd/rwd/instance/object/compatible/calculatingObjRelation?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "graphCode":"****",
	"relCode":"****",
	"relValue":"****",
	"calBeforeRelFlag":true,
	"mainContent":"***",
	"slaveContent":["****"],
	"beforeCalRels":[
		{
			"graphCode":"***",
			"relCode":"**"
		},
		{
			"graphCode":"***",
			"relCode":"**"
		}
	],
	"calRules":{
		"calRuleType":"1",
		"dependentRelChain":[
			{
				"graphCode":"***",
				"relCode":"***"
			},
			{
				"graphCode":"***",
				"relCode":"***"
			}
		],
		"graphCalInfo":{
			"fromInfoCode":"***",
			"toInfoCode":"****"
		}
	}
}
```

| 字段         | 是否必须 | 字段说明                                           |
| ------------ | -------- | -------------------------------------------------- |
| graphCode    | 是       | 图类型编码                                         |
| relCode      | 是       | 边类型编码                                         |
| filterSigns  | 否       | 过滤的计算标记,1-手动计算,2-自动计算               |
| relValue     | 否       | 关系值,一般涉及空间类关系的需要.值为空间的空间类型 |
| mainContent  | 否       | 关系左侧的对象id,如果传了只会计算该对象的关系      |
| slaveContent | 否       | 关系右侧的对象id集合,如果传了只会计算该对象的关系  |

#### 成功例子

```
{
    "result": "success",
    "data": []
}
```

#### 接口修改记录

| 操作时间             | 操作 | 操作内容 |
| -------------------- | ---- | -------- |
| 2021年9月2日20:56:41 | 新增 | 新增接口 |



## 统计类型的接口

### 210001 统计项目设备总数和待报废设备数量

#### 接口

`http://localhost:8831/dmp-rwd/api/report/equipment/queryExpectScrapCountByProjects?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
["***","****"]
```

| 字段 | 是否必须 | 字段说明   |
| ---- | -------- | ---------- |
| ***  | 是       | 项目id集合 |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
            "expectScrapTotal": 0,
            "equipmentTotal": 2,
            "projectName": "1101010001",
            "projectId": "Pj1101010001"
        }
    ],
    "count":1
}
```

| 字段             | 是否必有 | 字段说明     |
| ---------------- | -------- | ------------ |
| expectScrapTotal | 是       | 待报废设备数 |
| equipmentTotal   | 是       | 设备总数     |
| projectName      | 是       | 项目名称     |
| projectId        | 是       | 项目id       |

#### 接口修改记录

| 操作时间             | 操作 | 操作内容 |
| -------------------- | ---- | -------- |
| 2021年9月8日22:16:13 | 新增 | 新增接口 |



### 210002 根据对象信息点统计数量

#### 接口

`http://localhost:8831/dmp-rwd/api/report/equipment/queryObjectCountByObjInfos?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
	"classCodes":["***","***"],
	"objTypes":["***","***"],
	"groups":["name","name"]
}
```

| 字段       | 是否必须 | 字段说明 |
| ---------- | -------- | -------- |
| groups     | 是       | 分组字段 |
| classCodes | 否       | 对象类型 |
| objTypes   | 否       | 对象分类 |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
            "expectScrapTotal": 0,
            "equipmentTotal": 2,
            "localName": "1101010001",
            "localId": "Pj1101010001"
        }
    ],
    "count":1
}
```

| 字段             | 是否必有 | 字段说明         |
| ---------------- | -------- | ---------------- |
| expectScrapTotal | 是       | 待报废设备数     |
| equipmentTotal   | 是       | 设备总数         |
| localName        | 是       | 第一个分组信息点 |
| localId          | 是       | 第二个分组信息点 |

#### 接口修改记录

| 操作时间 | 操作 | 操作内容 |
| -------- | ---- | -------- |
|          | 新增 | 新增接口 |





